08 Jan 2009 Cosmetic improvement to CPU type display on startup - Jay
            Maynard
07 Jan 2009 Remove --enable-universal-binary configure option; doesn't work
            on Leopard due to libtool compiler options - Jay Maynard
07 Jan 2009 Preliminary changes for 3.06 - Jay Maynard
07 Jan 2009 Added x86_64 assembler byteswap assists - Jay Maynard
07 Jan 2009 msghld command with clear option - Bernard van der Helm
07 Jan 2009 msghldsec command - Bernard van der Helm
02 Jan 2009 Integrated 3270 console fixes - Jan Jaeger
02 Jan 2009 DVD-RAM IPL and RAMSAVE support - Jan Jaeger
02 Jan 2009 Optional ECHO/NOECHO to Diag8cmd statement - Ivan Warren
31 Dec 2008 Integrated 3270 (SYSG) console - Roger Bowler
30 Dec 2008 Allow $(LPARNAME) in herclogo file - Roger Bowler
23 Dec 2008 Allow symbol substitution in OAT files - Roger Bowler
22 Dec 2008 Implement Compare And Swap And Store Facility 2 - Ivan Warren
21 Dec 2008 Diag 224 fix - Ivan Warren
21 Dec 2008 Various SERVC READ_xxx_INFO fixes for specialty engines - Ivan Warren
08 Dec 2008 Fix Issue with ESA Guest on z/Arch and >2GB Storage - Ivan Warren
06 Dec 2008 Enable STFLE in ESA/390 mode - Ivan Warren
04 Dec 2008 Add ability to configure group name in --enable-setuid-hercifc= - Roger Bowler
02 Dec 2008 Support for PANTITLE when console is an xterm window - Roger Bowler
24 Nov 2008 Add processor type IL for IFL on engines statement - Jan Jaeger
02 Nov 2008 Correction to dasdtab entries for 3375 and 3380 - Roger Bowler
01 Nov 2008 Fix tapedev gettapetype_bydata function for HET/AWS tapes that
            start with a tapemark -- Liam Cold [liamcold@yahoo.com] by Fish
26 Oct 2008 Store_is within CMPSC will zero the remaining bits in the working byte,
            just like other famous manufacturers will do. All former generated compressed
            code will expand correctly, don't worry!! But their can be a difference
            in the compressed output. (This is the case when bits are on, but those
            are the unused bits after the last index symbol). - Bernard van der Helm
24 Oct 2008 Fix RC file not processed nor HAO thread engaged if -d daemon mode - Fish
11 Oct 2008 Fix MSVC build failure when 'rebase' utility doesn't exist - Fish
07 Sep 2008 Fix zero ilc problem after branch trace - Greg
04 Sep 2008 Fix 64-bit length problem in cdsk_valid_trk - Tony Harminc by Greg
29 Aug 2008 Panel display extended cursor handling (Windows only) - Fish
29 Aug 2008 Fix message-keep logic (sticky/held messages) - Fish
29 Aug 2008 Fix some New Panel data input painting issues - Fish
23 Aug 2008 Implemented sticky and held messages completed - Bernard van der Helm
22 Aug 2008 Fix TOD clock race condition identified by Fred Feucht
            (fredfeucht) - by Marcin Cieslak [saper@system.pl] - Fish
21 Aug 2008 Fix i/o-interrupt-queue race condition - Fish
19 Aug 2008 Init LCS interface ASAP to fix wrong MAC being used - Fish
13 Aug 2008 Fix bad guest IA after host interrupt during branch trace - Greg
04 Aug 2008 DIAG308 function codes (still incomplete) - Roger Bowler
02 Aug 2008 Implement SCP message colors - Bernard van der Helm
29 Jul 2008 Fix buffer mgmt bug in hao_thread causing garbage - Fish
24 Jul 2008 Implementation of cmdtgt version 2 - Bernard van der Helm
20 Jul 2008 Implementation of cmdtgt command - Bernard van der Helm
18 Jul 2008 Fix PSF order 18 suborder 01 PSF and SSD length - Fish
17 Jul 2008 Fix LCS write FCS (Frame Check Sequence) and other bugs - Fish
16 Jul 2008 Increase time-interval accuracy to 1ms for Windows build - Fish
10 Jul 2008 panel support for scrolling up/down one line - Fish
08 Jul 2008 AUTOMOUNT redesign: support +allowed/-disallowed dirs
            and create associated 'automount' panel command - Fish
22 Jun 2008 Fix tape messages print format bug causing crash - Fish
28 May 2008 AUTOMOUNT fixed and enhanced so it actually works now - Fish
28 May 2008 Misleading VTAPE support renamed to AUTOMOUNT instead - Fish
24 May 2008 VTAPE automount support (CCW 0x4B + 0xE4) - Fish
22 May 2008 Attempt to fix my *nix SCSI tape BSR over tapemark bug
            identified by Bob Schneider [bschneider@pingdata.net] - Fish
22 May 2008 Tape file extension neutrality support - Fish
22 May 2008 Flex FakeTape support - Fish
22 May 2008 Fix read timeout bug in LCS logic - Fish
19 May 2008 PSF order 18 suborders (0E,41) and order 1D by Jacob Dekel - Roger Bowler
04 May 2008 Fix CGDR,CGXR to handle values exceeding 2G - Roger Bowler
25 Apr 2008 CGER result incorrect for values over 2G - Roger Bowler
22 Apr 2008 Correction to CXGR instruction - Roger Bowler
21 Apr 2008 CEGR result incorrect if source exceeds 6 digits - Roger Bowler
20 Apr 2008 CDGR result incorrect if source exceeds 14 digits - Roger Bowler
18 Apr 2008 Fix incorrect results from THDER,THDR instructions - Roger Bowler
16 Apr 2008 Fix condition code in LCEBR,LCDBR,LCXBR instructions - Roger Bowler
16 Apr 2008 Fix FIEBR,FIDBR,FIXBR to respect BFP rounding mode - Roger Bowler
08 Apr 2008 Add execute relative long instruction - Bernard van der Helm
31 Mar 2008 Fix SCSI tape i/o performance: now 10x faster! - Fish
30 Mar 2008 Fix SCSI tape EOV (end of volume) processing - Fish
29 Mar 2008 More complete/extensive 3490/3590 tape support - Fish
28 Mar 2008 Fix incorrect registers when cc=1 for TRTE,TRTRE - Roger Bowler
28 Mar 2008 Add generic, readblkid, locateblk tape media handler vectors - Fish
28 Mar 2008 SCSI --blkid-24 option - Fish
23 Mar 2008 Fix incorrect bit selection for RNSBG,RISBG,ROSBG,RXSBG - Roger Bowler
23 Mar 2008 Move With Optional Specifications Facility (MVCOS) - Roger Bowler
13 Mar 2008 Return Byte Mpx for Chan 0 according to GA22-7000-4 - Ivan Warren
12 Mar 2008 Fix residual read-only setting for tape device - Kevin Leonard
12 Mar 2008 Fix store operation of ASI, AGSI, ALSI and AGLSI - Jan Jaeger
08 Mar 2008 General Instructions Extension Facility - Roger Bowler
07 Mar 2008 Add pri, sec, home options [P|S|H] to "v" command - Paul Leisy
05 Mar 2008 Fix PLO fc=3 fc=19 and qword alignment chks - Paul Leisy
04 Mar 2008 Fix CFC cond code - fetch right operand size - Paul Leisy
04 Mar 2008 LEGACYSENSEID config stmt added - see hercconf.html - Ivan Warren
03 Mar 2008 Fix BSM/BASSM mode switch trace - Paul Leisy
02 Mar 2008 re-disable SenseID on 8809,3410,3420 (breaks MTS) - Ivan Warren
29 Feb 2008 Fix TRAP in z/arch mode - Paul Leisy
29 Feb 2008 Added feature parsing_enhancement_facility - Bernard
28 Feb 2008 Fix RP in z/arch mode and mode switch trace - Paul Leisy
27 Feb 2008 Added feature message_security_assist_extension_2 - Bernard
22 Feb 2008 Fix BSA pic06 in z/arch mode - Paul Leisy
20 Feb 2008 Fix BSA pic06/05 and branch to odd addrs pic06 - Paul Leisy
17 Feb 2008 Enable Posix 1003.1e capabilities to restrict setuid-0
            programs to just the necessary privileges - Ivan Warren
15 Feb 2008 Fix PC, RP pic13, STCKE byte 0 and two PER bugs - Paul Leisy
12 Feb 2008 Fix 3880 SNSID length (thanks De!) - Greg
12 Feb 2008 Fixes for SPKA, BASR, TBEDR, PR - Paul Leisy
12 Feb 2008 dyngui tweaks: new def devlist fmt, new debug_cd_cmd hook - Fish
11 Feb 2008 Fixed intermediate errors cmpsc - Bernard
07 Feb 2008 Solaris build support by Jeff Savit - Roger Bowler
24 Jan 2008 Fix invalidate_tlbe processing - Paul Leisy by Greg
23 Jan 2008 Fix and optimize TR instruction - Greg
23 Jan 2008 Modifications for VS9 C++ 2008 Express by Charlie Brint - Roger Bowler
21 Jan 2008 Activate ETF3 and ETF2/ETF3-Enhancements in ESA/390 mode - Roger Bowler
21 Jan 2008 Permit Extended-Translation-Facility-3 to be activated in S/370 and ESA/390 modes - Roger Bowler
16 Jan 2008 Data exception for only UNPRECEDED nonzero bit34 ece entries - Fish
14 Jan 2008 Additional ISO-8859-1 to European EBCDIC codepages - Roger Bowler
11 Jan 2008 new 'ctc' command to enable/disable debug option on demand - Fish
03 Jan 2008 sf commands update - Greg Smith
01 Jan 2008 Data exception on nonzero bit34 in ece entry - Bernard van der Helm
31 Dec 2007 Data exceptions on fetching ece, cce and sd1 - Bernard van der Helm
31 Dec 2007 Data excep in CMPSC expansion psl and cls = 0 - Bernard van der Helm
29 Dec 2007 Some errors in UTF translation - Bernard van der Helm
29 Dec 2007 Tweak OPTION_MIPS_COUNTING tweak to prevent crash - Fish
24 Dec 2007 Compression check output, input swapped to input, output - Bernard van der Helm
11 Dec 2007 Enable SENSE ID CCW for 2703,3410,3420
10 Dec 2007 Tweaks to OPTION_MIPS_COUNTING processing - Greg
02 Dec 2007 Permit Extended-Translation-Facility-2 to be activated in S/370 mode - Roger Bowler
02 Dec 2007 Enable B9xx,EBxx opcodes in S/370 mode for ETF2 - Roger Bowler
02 Dec 2007 Permit Extended-Translation facility to be activated in S/370 mode - Roger Bowler
02 Dec 2007 Permit Compare-and-Move-Extended facility to be activated in S/370 mode - Roger Bowler
01 Dec 2007 Fix cckdcdsk/cckdcomp/cckdutil no message o/p issue - Fish
30 Nov 2007 Change all references to conmicro.cx to hercules-390.org - Jay
            Maynard
30 Nov 2007 Permit String-Instruction facility to be activated in S/370 mode -
            Roger Bowler
28 Nov 2007 Allow ALLOW DATA CHECK to precede LOAD UCS AND FOLD on 1403 for
            TSS/370 - Jay Maynard
22 Nov 2007 Store Doubleword Monitor Code for z/Arch on succesful MC -
            Ivan Warren
20 Nov 2007 LRE support (try #1) - Greg
18 Nov 2007 Activate Message-Security-Assist-Extension-1 facility in ESA/390 -
            Roger Bowler
18 Nov 2007 Permit Immediate-and-Relative facility to be activated in S/370
            mode - Roger Bowler
16 Nov 2007 Add HFP-multiply-add/subtract facility to ESA/390 - Roger Bowler
15 Nov 2007 Correct PIC6 when loading DRM bits into FPC - Roger Bowler
15 Nov 2007 Correct CPSDR instruction - Roger Bowler
15 Nov 2007 Correct ESA/390 EPSW instruction - Roger Bowler
13 Nov 2007 Support for AWSTAPE segmented blocks - Roger Bowler
02 Nov 2007 Fix runaway CPU for self inflicted SIGP 9 - Ivan Warren
04 Sep 2007 Use integer arithmetic calculating cpupct - Greg
31 Aug 2007 Catch addr-excp when SIE DAT points outside Mainstore - Ivan Warren
28 Aug 2007 cckdutil fix for 64-bit - zhackules by Greg
28 Aug 2007 Fix many TUNSETIFF-EINVAL error messages - Greg
26 Aug 2007 Fix missed unfixed 31 Aug 2006 non-SCSI tape Locate bug - Fish
24 Aug 2007 Modify control registers by cr command - Roger Bowler
16 Aug 2007 Backout 28 Jul fix for LCS (fix was only meant for CTCI) - Fish
06 Aug 2007 Rework CPU execution loop - Greg
06 Aug 2007 Filled ipl, iplc, sysclear, sysreset in HELPTAB - Ivan Warren
06 Aug 2007 implement IPL PARM a la VM - Ivan Warren
29 Jul 2007 Fix PR# 34/tape bug causing crash if non-tape devinit - Fish
28 Jul 2007 Fix day-1 CTCI/LCS bug - Vince Weaver [vince@deater.net] by Fish
24 Jul 2007 Force command-reject (until we can get it coded right)
            for 3590 Medium Sense (x'C2') and Mode Sense (x'CF') - Fish
24 Jul 2007 Default to --blkid-32 and --no-erg for 3590 SCSI - Fish
24 Jul 2007 Fix tape Synchronize CCW (x'43') to do actual commit - Fish
24 Jul 2007 Fix Windows SCSI tape Locate and Read-Block-Id SNAFU - Fish
19 Jul 2007 Disable DIAG 308 Re-IPL feature until it is complete - Ivan Warren
21 Jun 2007 revert config_cpu.pat due to problems in testing - Greg
20 Jun 2007 3.05 release doc changes - Jay Maynard
18 Jun 2007 make 3990-6 default control unit for 3390 devices - Greg
18 Jun 2007 configure_cpu now returns when the CPU is fully configured - Greg
08 Jun 2007 Skip making CRW pending in S/370 mode - Kevin Leonard
06 Jun 2007 Fix SYNCHRONIZE_CPUS when numcpu > number of host processors - Greg
06 Jun 2007 Ignore suppress bit in FBA Locate CCW Byte 0 - H.U. - Ivan Warren
26 May 2007 Compare-and-Swap-and-Store feature - Roger Bowler
18 May 2007 Conditional SSKE feature - Roger Bowler
04 May 2007 Restore dasdtab.c RDC response circumvention to prevent command
            reject in DSF for X'0A' command to alternate track - Kevin Leonard
25 Apr 2007 Rename RSS instruction format as SSF - Roger Bowler
04 Apr 2007 Fix Locate Block & Read BlockId for SCSI tape inadvertently
            broken by 31 Aug 2006 preliminary 3590 support change - Fish
26 Mar 2007 Suppress spurious error messages from hercifc - Greg
25 Mar 2007 Ensure started_mask CPU bit is off for terminating cpu thread - Fish by Greg
20 Mar 2007 Redefine ACC_ and ACCTYPE_ macros - Greg
18 Mar 2007 Simplify MULTIPLE_CONTROLLED_DATA_SPACE tests - Greg
17 Mar 2007 Clarify load_address_space_designator code - Greg
16 Mar 2007 Reduce REGS copying by hscmisc.c - Greg
15 Mar 2007 Fix fba when the fba device is > 4G - Greg
10 Mar 2007 machdep.h updates - Greg
08 Mar 2007 concpy rework - Greg
08 Mar 2007 More tweaks to machdep.h i686 code - Greg
07 Mar 2007 Fix store_dw_i686 - Greg
07 Mar 2007 Fix fetch_dw_i686 - Greg
07 Mar 2007 Remove inline attr from vfetchx/vstorex _full functions - Greg
07 Mar 2007 Fix for SIE'd TPROT - Ivan Warren
06 Mar 2007 Fix ckd RDC response - Greg
27 Feb 2007 PR# misc/87 startup messages fix completion - Kevin Leonard
27 Feb 2007 Fix minor glitch in enhanced symbol substitution - Fish
26 Feb 2007 Extend original print-to-pipe parameter handling to support
            passing parms when path to filename also contains blanks - Fish
25 Feb 2007 Fix het_locate to continue on tapemark - herc_fun [os_390@hotmail.com] by Fish
25 Feb 2007 Fix crash in LCS close if devinit of incomplete group - Fish
18 Feb 2007 Add TIME and NOTIME synonyms for LOGOPT operands - Kevin Leonard
14 Feb 2007 Fix ckd RCD, SNSS, SNSID responses - Greg
13 Feb 2007 Treat DIAG X'9C' same as DIAG X'44' - Fish
08 Feb 2007 Don't log Sense Running State SIGP order - Fish
03 Feb 2007 Fix MVT tape CMDREJ error - Greg Smith
31 Jan 2007 Add LOGOPT init statement and panel command - Kevin Leonard
30 Jan 2007 Decimal Floating Point (DFP) facility - Roger Bowler
15 Jan 2007 ia32/x64 cmpxchgX assists fix/enhancements - Greg & Ivan
14 Jan 2007 Fix S370 only build - nerak60510 by Greg
11 Jan 2007 implement ccmask phase 1 - Bernard van der Helm
10 Jan 2007 Try to detect 3270 connections that have died - Fish
09 Jan 2007 Tweaks to sloppy fetch - Greg Smith
09 Jan 2007 Tweaks to cpuloop - Greg Smith
09 Jan 2007 Bypass mainlock if only 1 cpu started - Greg Smith
09 Jan 2007 Tweaks to lm/stm - Greg Smith
08 Jan 2007 Add dasdconv -q (quiet) option - Roger Bowler
04 Jan 2007 remove thunk calls for program_interrupt - Greg Smith
03 Jan 2007 single_cpu_dw fetch/store patch for ia32 - Greg Smith
03 Jan 2007 vstorex patch to vstore2, vstore4, vstore8 - Greg Smith
30 Dec 2006 Minor correction to PR# build_msc/103 fix - Fish
03 Jan 2007 Sloppy fetch - Greg Smith
02 Jan 2007 Fix deconfigure_cpu so power-off diagnoses work - Fish
31 Dec 2006 Fix PR# misc/94 for good this time! (hopefully) - Fish
31 Dec 2006 new 'cd' and 'pwd' commands to go with 'sh' command - Fish
31 Dec 2006 Fix cmdline tabbed filename-completion for MSVC - Fish
30 Dec 2006 Add ability to modify gpr reg values to gpr command - Fish
30 Dec 2006 PR# build_msc/103: fix MSVC diag 8 'sh' capture - Fish
27 Dec 2006 Permanently disable Microsoft's completely INSANE
            Invalid CRT Parameter handling behavior - Fish
27 Dec 2006 PR# tape/100: Fix crash if bad filespec in OMA (TDF) - Fish
23 Dec 2006 Misc dyngui mods (64-bit regs, efficiency, etc) - Fish
23 Dec 2006 Fix integrated 1052/3215 for output with % - Ivan Warren
21 Dec 2006 Fix SIGP to do single logmsg - Greg Smith
21 Dec 2006 Range for s+, t+ - Greg Smith
20 Dec 2006 Fix instruction display in program interrupt - Greg Smith
20 Dec 2006 Clear FPC register during Initial CPU Reset - Roger Bowler
20 Dec 2006 Clear AR,FPR,VR regs during Clear Reset - Roger Bowler
19 Dec 2006 ip_all.pat - performance patch - Greg Smith
19 Dec 2006 Backout mainlockx.pat - possible SMP problmes - Greg Smith
19 Dec 2006 New FPC command to display FPC register - Roger Bowler
17 Dec 2006 Modify FPR command to display FP registers in pairs - Roger Bowler
17 Dec 2006 Display DXC in msg HHCCP014I for PIC7 - Roger Bowler
11 Dec 2006 Set tape blockid to U32 - (by "zazubek") - Ivan Warren
08 Dec 2006 Add model, plant and manufacturer config parameter - Bernard
06 Dec 2006 Include Mike Cowlishaw decNumber package - Roger Bowler
30 Nov 2006 Floating Point Support Enhancement feature - Roger Bowler
29 Nov 2006 Zero out GPRS on IPL Clear and System clear - Ivan Warren
29 Nov 2006 Begin Decimal Floating Point (DFP) framework - Roger Bowler
27 Nov 2006 Remove GNU dependencies from dasdlist - Bjoern A. Zeeb (rbowler)
26 Nov 2006 Move initialization hao before .rc processing - Bernard
22 Nov 2006 Fix aws/het files trailing garbage - Fish
19 Nov 2006 Fix small typo in qdio.c - Jan Jaeger
18 Nov 2006 Multi-byte opcode performance fix for ia32 - Greg Smith
09 Nov 2006 qd (query ckd dasd) panel command - Greg Smith
08 Nov 2006 Fix (hopefully) hang after resume - Greg Smith
08 Nov 2006 Fix Diag 204 RMF structure size - Ivan Warren
            Detected by "aleeuw2000"
06 Nov 2006 Update to instfetch processing - Greg Smith
06 Nov 2006 Fix ECPS:VM VTIMER processing - Ivan Warren
05 Nov 2006 OBTAIN_MAINLOCKx macros - Greg Smith
05 Nov 2006 Simplify PER processing - Greg Smith
04 Nov 2006 Added CGER, CGDR, CGXR - Bernard van der Helm
31 Oct 2006 Use accelerated byte swaps for x86_64 - Ivan Warren
30 Oct 2006 Reinstate dasdconv stdin option - Roger Bowler
27 Oct 2006 Reformatted dyncrypt.c, no functional change - Bernard
26 Oct 2006 make KM/KMC/KMAC/KIMD/KLMD compliant regarding stringent
            register checkings as per POP - Ivan Warren
25 Oct 2006 Performance enhancements suggested by Kees, part 1
            distinguish between strict/non-strict load/store - Greg Smith
19 Oct 2006 Fix TUNSETIFF problem on linux 2.6.18 - Greg Smith
12 Oct 2006 Fix 370 and 390 only modes - Greg Smith
09 Oct 2006 Fix some compiler warnings - Ivan Warren
02 Oct 2006 Fix some interval timer processing issues - Ivan Warren
01 Oct 2006 minor(?) accuracy/efficiency tweaks to Win32 'gettimeofday' - Fish
30 Sep 2006 timer interval config stmt & panel cmd - Enrico Sorichetti by Fish
30 Sep 2006 Use nanosleep in timer_update_thread if available - Fish
28 Sep 2006 RSS instruction format and ECTG instruction - Jan Jaeger
26 Sep 2006 PR# misc/99: Config file "include <filename>" with "Enhanced"
            symbol substitution - Hackules by Enrico Sorichetti by Fish
26 Sep 2006 Fix ieee bfp to integer conversions - Jimmy by Greg Smith
23 Sep 2006 RO/RW/RING/NORING tape config options (replaces previous
            RO/NORING) - Kevin Leonard by Jay Maynard
22 Sep 2006 Fix possible loop in SERVC WRITE_EVENT_DATA - Jan Jaeger
22 Sep 2006 PR# misc/30: HAO (Hercules Automatic Operator) - Bernard
            van der Helm by Fish
21 Sep 2006 PR# misc/79: single device devlist & defsym command - Fish
20 Sep 2006 PR# misc/98: "Additive" OSTAILOR - Fish
20 Sep 2006 PR# misc/89: fix "HHCCP038E No SCP command" - Fish
19 Sep 2006 Added RO and NORING as synonyms for READONLY tape config option;
            fixed compilation if SCSI not supported - Jay Maynard
15 Sep 2006 PR# misc/96: fix premature .RC processing wrt CPUSTATE - Fish
06 Sep 2006 Win32 PCRE (Perl-Compatible Regular Expression) support - Fish
31 Aug 2006 Support emulating 3590 SCSI as 3480/3490's and vice versa - Fish
31 Aug 2006 Preliminary support for 3590 (partial and very incomplete) - Fish
24 Aug 2006 Set Windows default thread priorities same as other hosts - Fish
24 Aug 2006 Fix some addtl SCSI tape status related bugs [of my own!] - Fish
19 Aug 2006 Fix auto-scsi-mount bug causing too frequent drive queries - Fish
16 Aug 2006 C99 flexible arrays support - Fish
05 Aug 2006 Added addressing mode in panel - Bernard van der Helm
03 Aug 2006 Add official support for 3590 tape device types using 32-bit
            block-ids affecting LOCATE BLOCK, etc / BOT detection - Fish
03 Aug 2006 New conspawn keyword: 'startgui' to start Windows GUI
            application via ShellExecute to prevent hang at exit - Fish
01 Aug 2006 PR# misc/94: Sporadic missed .RC file processing - Fish
21 Jul 2006 Small change to ECPS:VM fix by P. Coghlan - Ivan Warren
21 Jul 2006 Several small bugfixes from Peter Coghlan - Jay Maynard
21 Jul 2006 read_socket and write_socket wrapper routines to fix short
            read problems for sockdev card readers (new source file
            hsocket.c) - Robert Styma and Jay Maynard
02 Jul 2006 PR# network/93: honor specified CTCI-W32 buffer sizes - Fish
28 Jun 2006 Fix doubled/duplicated startup 'version' logmsgs caused by
            PR# misc/87 when Herc is run in daemon/hercgui mode  - Fish
25 Jun 2006 Fix seq dasdload blksize pad bug - Peter Sylvester
            [peter.sylvester@edelweb.fr] by Fish
23 Jun 2006 PR#s misc/21 and PR# network/62: HTTP Server: do 'shutdown'
            to gracefully close connection before closing the socket - Fish
22 Jun 2006 Back out incorrect modification to BFPREGPAIR macros - Roger Bowler
21 Jun 2006 Correct unresolved external symbol __imp__debug_tt32_tracing - Roger Bowler
21 Jun 2006 Correct BFPREGPAIR checks to prevent spurious 0C6 - Roger Bowler
18 Jun 2006 Add diagnose 0x308 - re-ipl - Bernard van der Helm
13 Jun 2006 Add diagnose 0x224 - CPU name array - Greg Smith
13 Jun 2006 Added diagnose 308 reipl. Not activated in feat900.h! - Bernard
11 Jun 2006 PR# tape/88: "SCSI tape issues": 1. WTM failures with some
            mfg/model drives (e.g. STK4890), 2. Spurious HHCTA073W for
            'rewind-at-close' devtype - Fish
10 Jun 2006 PR# misc/87: Herc system startup message issuance problem - Fish
09 Jun 2006 PR# emul/91: Change FTELL, FSEEK, etc to lowercase - Fish
09 Jun 2006 Instr disassembly enhancement: display instruction name - Fish
07 Jun 2006 PR# misc/71: Incorrect disassembly of some instructions - Fish
05 Jun 2006 PR# misc/68: devinit w/no arguments == use original - Fish
05 Jun 2006 PR# dasd/81: DASDINIT option to bypass VOL1 creation - Fish
06 May 2006 Fix SYNCHRONIZE_CPUS bit-flag serialization issue - Fish
06 May 2006 Fix header-#include and stop-lan port-serialization issues
            causing some tuntap calls (e.g. set-macaddr) to fail - Fish
02 May 2006 PERFORM SUBSYSTEM FUNCTION and CONTROL ACCESS CCWs - Adrian
            Trenkwalder
02 May 2006 Fix for invalid bits in LOCATE BLOCK tape CCW - Adrian Trenkwalder
30 Apr 2006 Dyncrypt changed towards POP - Bernard van der Helm
27 Apr 2006 Fix halt_subchan to terminate suspended i/o - Greg Smith
26 Apr 2006 Fix AR tlb lookup in XC mode - Jan Jaeger
23 Apr 2006 PR# network/69: segfault @ incomplete LCS group attach - Fish
23 Apr 2006 Fix LCS port read delay / hercifc SIOCGIFFLAGS issue - Fish
21 Apr 2006 Apple OS X 10.4.6 TUNTAP_ClrIPAddr (ioctl(SIOCDIFADDR))
            patch by Kees Verruijt [kees@verruijt.net] - Fish
21 Apr 2006 tt32 v3.1: replace tt32stats cmd with tt32 cmd - Fish
21 Apr 2006 tt32 v3.1: new "tuntap32_build_herc_iface_mac" function - Fish
21 Apr 2006 tt32 v3.1: new "_ex" functions - Fish
21 Apr 2006 LCS support for RARP frames - Fish
21 Apr 2006 TUNTAP_GetFlags: don't read LCS adapter until iface is IFF_UP
            (resolves "HHCLC042E port 00: Read error" issue) - Fish
19 Apr 2006 Re-fix panel refresh (fill_text, not erase_to_eol; sigh) - Fish
14 Apr 2006 RECFM bits in dasdblks.h (correction by Christophe Nillon) - Roger Bowler
12 Apr 2006 SYNCHRONIZE_CPUS macro in place of synchronize_broadcast - Greg
10 Apr 2006 Portability: change bitfield types from BYTE to u_int - Fish
09 Apr 2006 Transparently handle BSD sockaddr_in sin_len - Fish
09 Apr 2006 Un-"fix" panel.c refresh (sigh) - Fish
09 Apr 2006 Fix bug causing bogus routing table setup for CTCI - Bjoern Zeeb
09 Apr 2006 Added likely/unlikely statements dyncrypt.c - Bernard vd Helm
08 Apr 2006 Added likely/unlikely statements cmpsc.c - Bernard van der Helm
07 Apr 2006 New 'PANTITLE' config stmt to set console/panel title - Fish
06 Apr 2006 PR# 34/tape: prevent tape mount unless no tape mounted - Fish
06 Apr 2006 Missed a scsimount detach/devinit bug - Fish
06 Apr 2006 PR# 53/tape: Bus-Tech compressed AWS file support - Fish
06 Apr 2006 PR# 70/tape: AWS tapes 2GB filesize limitation - Fish
05 Apr 2006 PR# 18/tape: Herc very slow initializing if no tape in SCSI
            tape drive, PR# 48/tape: Tape mount/unmount messages still
            not handled correctly, fix bsr/fsr in light of 01 Apr 2006
            w32stape fixes for utilities, tweak to auto-scsi-mount logic
            to eliminate(?) WIN32 drive query inefficiencies - Fish
05 Apr 2006 fix(?) panel.c to always refresh the New Panel display,
            fix minor New Panel device status painting glitch - Fish
01 Apr 2006 tapecopy: accept WIN32 "\\.\Tape0" filename, use blockid
            segment# for ext GUI progress msgs, rewind at exit - Fish
01 Apr 2006 Addt'l Win32 SCSI status fixes for utils; s/b ok now - Fish
27 Mar 2006 SCSI tape fixes (MAJOR COMMIT):  (Fish)
             1) serialize open/close processing
             2) support "YES" as valid AUTO_SCSI_MOUNT specification
                (uses default interval value, currently 5 seconds)
             3) "scsimount" panel command:
                 a) support '0' and 'yes'
                 b) don't issue "no active mount requests"
                    for tape drives without display feature
                 c) fix mount/unmount request detection
             4) process 'rewind' option at CLOSE, not open (oops)
             5) add devnum (with LCSS prefix) to most messages
             6) attempt to fix *nix issue of 'EOF' status not being set
                when BSR/FSR spaces over a tapemark
             7) reset 'blockid' to -1 and remove redundant update
                status call in BSF/FSF.
             8) reset 'curfilen' to 0 in rewind_scsitape (and 'blockid'
                to -1 if rewind fails)
             9) fix erase-gap and data-security-erase functions
                so they actually return an i/o status
            10) start automount thread (if AUTO_SCSI_MOUNT is specified)
                when tape is determined to be not mounted regardless
                of whether drive/device-type has display-feature
            11) remove premature open_scsitape call in tapedev_init_handler
                to reinstate original behavior of not opening the tape until
                needed by tapedev CCW processing (PR# tape/18 "slow startup")
            12) in an effort to reduce the impact of slow tape status
                retrieval (that in addition to the above premature call
                to open_scsitape (which calls update_status_scsitape)
                was what was causing PR# tape/18 "slow startup"), a new
                tape status worker thread retrieval technique was designed
                which allows specifying a timeout value completely different
                from whatever one the host o/s may use (if any).
            13) change message text in 'load_display' function to be more
                technically accurate and fix ReqAutoMount mount/unmount
                request detection to correct bogus mount/unmount messages
            14) add support for Windows tape device names ("\\.\Tape0")
            15) use blockid (as returned by Read Block Id CCW) *as-is*
                in LOCATE BLOCK CCW,
            16) complete rewrite/overhaul of w32stape.c:
               a) remove rewind logic from open
                  (now done by 'close_scsitape')
               b) properly track positioning status and setting of
                  errno values after each i/o so that accuracy of
                  device status & errno can be relied upon (e.g.
                  BOT/EOF/EOT/EOD can now be properly detected)
               c) BSF/BSR fixed to move BACKWARDS, not forwards (oops)
               d) fix Read Block Id logic (MTIOCPOS) to return a more
                  technically accurate position value (the actual one)
            17) many minor editorial corrections (remove TRACE stmts, etc)
05 Mar 2006 hercules logo spec precedence fix by "Rodrigo" - Ivan Warren
01 Mar 2006 Customizable 3270 Logo screen. See README.HERCLOGO - Ivan Warren
28 Feb 2006 Generalize Multiple CSS device numbering for most statements
            and panel commands. Allow multiple devices on panel attach
            command. Multiple CSS support for suspend/resume - Ivan Warren
26 Feb 2006 Implement LCSS feature - Jan Jaeger
25 Feb 2006 cckd 0.3.1 - Greg Smith
24 Feb 2006 Skeletal last floating point instructions - Bernard van der Helm
21 Feb 2006 Fix string overrun when hitting tab at the wrong time - Bjoern
            Zeeb
18 Feb 2006 Reinstate byteswap.h check - Greg Smith
15 Feb 2006 Fixed spurious specification exception in CXFBR and CXGBR - Greg
            Smith, found by Pasi Pirhonen
11 Feb 2006 Added option s to dasdcat to preserve sequence numbers when
            generating card image output - Jay Maynard
10 Feb 2006 cckd specifies attr for create_thread - Greg Smith
08 Feb 2006 FreeBSD portability fixes - Mark Szlaga
06 Feb 2006 Codepage 1047 conversion tables - Kevin Leonard
03 Feb 2006 Fixed off-by-one-day bug with SYSEPOCH other than 1900; added
            new config parameter, YROFFSET, and limited SYSEPOCH to 1900
            or 1960 - Jay Maynard
29 Jan 2006 Added 2305-2 and 2305-2 CKD disk and 2835 control unit definitions
            from CBT file 296 BLKDISK command - Jay Maynard
28 Jan 2006 Added floating point instr CEGR, CDGR and CXGR - Bernard van der Helm
24 Jan 2006 Export needed http server functions so people (like me!)
            can create cgi-bin dynamic modules if they want to - Fish
19 Jan 2006 Tweaks to SET_THREAD_NAME - Greg Smith
16 Jan 2006 Fix PLO_CSGR to call plo_csgr instead of plo_clgr - Greg Smith
15 Jan 2006 Fix stfl_data/adjust_stfl_data flag settings bug - Fish
15 Jan 2006 Fix 'CVB' overflow check bug in packed_to_binary - Fish
06 Jan 2006 Correct address wrapping in PLO - Jan Jaeger
06 Jan 2006 Change clocks panel command to snapshot all values used before
            formatting and printing for consistency - Jay Maynard
04 Jan 2006 Change semigraphical panel START and STOP buttons to issue
            startall and stopall, respectively - Jay Maynard
04 Jan 2006 Fix cckd_gc_l2 bug - Greg Smith
04 Jan 2006 Correct bit codes returned in query function with no MSA ext 1 -
            Bernard van der Helm
01 Jan 2006 CPU Timer rework - Jan Jaeger
31 Dec 2005 SET_THREAD_NAME for easier MSVC debugging - Fish
31 Dec 2005 Fix for Windows ..\relative path dasd files - Fish
31 Dec 2005 Add space as valid volser char, remove owner field check - Fish
29 Dec 2005 Fix bug causing semigraphical panel to always devinit the first
            device, regardless of what device was specified - Jay Maynard
29 Dec 2005 Add confirmations to semigraphical panel EXT and RST (external
            interrupt and restart) commands - Jay Maynard
29 Dec 2005 Fix bug in update_tod_clock preventing cpt from updating - Fish
29 Dec 2005 Fix cpustate display glitch in ipending command - Fish
29 Dec 2005 SIE XC interception fixes - Jan Jaeger
29 Dec 2005 Performance patch STCM, STCMY, STCMH - Bernard van der Helm
29 Dec 2005 Performance patch ICM, ICMY, ICMH - Bernard van der Helm
28 Dec 2005 Perform Timing Facility Function - Jan Jaeger / Bernard van der Helm
27 Dec 2005 Performance patch TM, TMH, TML, TMHH, TMHL, TMY - Bernard van der Helm
24 Dec 2005 Add IFL SCPINFO support for zLinux zipl code - Jan Jaeger
23 Dec 2005 Fix for Windows ..\relative path shadow files - Fish
11 Dec 2005 Correction to format 1 STIDP - Jan Jaeger
10 Dec 2005 Update FAQ software prerequisite sections - Roger Bowler
09 Dec 2005 MAX_CPU_ENGINES defaults to 8 for MSVC build too - Ivan Warren
08 Dec 2005 MAX_CPU_ENGINES now defaults to 8 instead of 2 - Greg Smith
06 Dec 2005 Accept ALRF as abbreviation for ASN_AND_LX_REUSE - Roger Bowler
06 Dec 2005 Fix leapyear issue in sysepoch and format_tod - Jan Jaeger
06 Dec 2005 More logmsg cleanup - Ivan Warren
04 Dec 2005 Added real time conversions to 'clocks' display - Jay Maynard
04 Dec 2005 va_copy 'va-list' copying macro - Fish
04 Dec 2005 tape close fixes (fixes tape devinit crash) - Fish
04 Dec 2005 Made PR# misc/56 fix compile on gcc 3 through an ugly hack - Jay Maynard
04 Dec 2005 CTCT fixes - Fish
04 Dec 2005 More proper PR# misc/56 fix (hopefully) - Fish
04 Dec 2005 Relax SYSEPOCH restrictions - Jan Jaeger
04 Dec 2005 New clock design - Jan Jaeger
04 Dec 2005 OS X portability fixes - Jay Maynard
04 Dec 2005 PR# misc/56: Brute force fix for segfault in some panel commands - Jay Maynard
04 Dec 2005 Fix error in sha-1 message digest - Roger Bowler
03 Dec 2005 Fix fillfnam.c problem debugged by bb5ch39t - Greg Smith
03 Dec 2005 PR# misc/29: SHCMDOPT shell command disablement cfg stmt - Fish
03 Dec 2005 Add crypto files to VS8 vcproj file - Fish
03 Dec 2005 Fix MSVC conspawn/shell cmd glitch: CREATE_NO_WINDOW - Fish
03 Dec 2005 Temp fix to allow up to 1031 cckd devices - Greg Smith
03 Dec 2005 CMPSC no siblings check after 4th/5th child - Bernard/Jacques Dilbert
02 Dec 2005 Added 'conspawn.exe' to MSVC build (for 'sh'ell cmd) - Fish
01 Dec 2005 Volker fix to MSVC makefile for VS 8.0 "manifest" files - Fish
01 Dec 2005 dyngui: SetCurrentDirectory support for shell commands - Fish
01 Dec 2005 Fix things so BOTH print-to-pipe AND 'sh'ell command work - Fish
29 Nov 2005 PR# build_msc/45, PR# printer/24: Poor man's fork for MSVC builds - Fish
28 Nov 2005 enable ATTR_REGPARM performance option for MSVC builds - Fish
28 Nov 2005 enable machine assists in machdep.h for MSVC VC7 compiler - Fish
28 Nov 2005 Fix concpy bug discovered by Fish - Greg Smith
27 Nov 2005 drop support for MSVC static/dll builds; keep only dllmod - Fish
27 Nov 2005 Drop support for makefile.msvc and makefile-dll.msvc - Roger Bowler
27 Nov 2005 Replace crypto support modules by BSD licensed versions - Roger Bowler
26 Nov 2005 Modify status line in panel.c for ESA/390 under z/SIE - Jan Jaeger
24 Nov 2005 Accept "z/Arch" as synonym for "ESAME" archmode - Fish
24 Nov 2005 hbyteswp.h: MSVC workaround for PR# emul/4 - Fish
24 Nov 2005 Fix some very minor glitches in new panel displays - Fish
24 Nov 2005 Report #of processors in hostinfo struct for non-MSVC - Fish
23 Nov 2005 Fix "LNK4099 libcmt.pdb not found" in MSVC static build - Roger Bowler
22 Nov 2005 dyninst module now built in MSVC DLL-MOD version - Ivan Warren
22 Nov 2005 Crypto module now built in MSVC DLL-MOD version - Ivan Warren
21 Nov 2005 Added skeletal ptff - Bernard van der Helm
21 Nov 2005 STSI MP fix - Greg
21 Nov 2005 diag204 fix, STSI capability fix - Jan Jaeger
20 Nov 2005 trace.c: minor fix to PR format-9 trace entry - Fish
20 Nov 2005 configure.ac, hstdinc.h: Apple OS X build fixes - Fish
20 Nov 2005 Correct cpu capability value in STSI - Fish
20 Nov 2005 Reject any intrusive diagnose when diag8cmd is off - Jan Jaeger
19 Nov 2005 Fix GCC 2.95 errors in hostinfo.c, bldcfg.c - Roger Bowler
19 Nov 2005 dyngui.c: show offline CPUs as OFFLINE - Fish
18 Nov 2005 Expand environment vars in httproot if msvc - Fish
18 Nov 2005 Add trailing [back]slash to httproot only if needed - Fish
18 Nov 2005 Fix crash in UpdateTargetCPU when NUMCPU=0 - Fish
18 Nov 2005 Refit Ivan's GCC 2.95 fix to sockdev.h - Roger Bowler
17 Nov 2005 TAPECONV support for 64K blocksize by Charlie Brint - Roger Bowler
17 Nov 2005 Allow compiling support for up to 32 CPUs - Ivan Warren
13 Nov 2005 Add CPU configuration option to http server - Jan Jaeger
11 Nov 2005 Variable size panel - Greg Smith
08 Nov 2005 Fix CPU reconfiguration identification in SCPIN - Jan Jaeger
06 Nov 2005 Store Clock Fast (STCKF) - Jan Jaeger
05 Nov 2005 New format CPUID for z/Arch mode - Jan Jaeger
04 Nov 2005 PER3 include BEAR in suspend/resume file - Roger Bowler
03 Nov 2005 Fix cpu percentage display - Greg Smith
03 Nov 2005 Fix SIE addressing mode issue - Jan Jaeger
02 Nov 2005 Activate FEATURE_PER3 - Roger Bowler
02 Nov 2005 PER3 instruction-fetching nullification - Roger Bowler
01 Nov 2005 hercules no longer depends on libgcrypt - Ivan Warren
01 Nov 2005 Reinstate libhercu/t/d as shlibs/dlls - Ivan Warren
01 Nov 2005 Allow SIE to be issued from HOME SPACE Mode host - Ivan Warren
01 Nov 2005 It was decided the "New Panel" screens should ALWAYS be grey/black
            REGARDLESS of what the user's default bg/fg term colors are set to;
            only the default startup panel should honor the user's settings.
01 Nov 2005 Clear high portion of Address Mask in ESAME LPSW - Ivan Warren
31 Oct 2005 PER3 Breaking Event Address Recording (BEAR) revised - Roger Bowler
29 Oct 2005 Final(?) console fg/bg default/color highlighting issue fix - Fish
29 Oct 2005 Fix STFLE SIE intercept - Jan Jaeger
29 Oct 2005 Fix stdout redirection - Jan Jaeger
27 Oct 2005 Fix segfault in SIGP against offline CPU - Jan Jaeger
26 Oct 2005 PER3 Breaking Event Address Recording (BEAR) framework - Roger Bowler
25 Oct 2005 Fix `size exceeds 4G' cckd error during dasdcopy - Greg Smith
25 Oct 2005 Reinstate SIGP code regressed by enhancements of 23 Oct - Roger Bowler
24 Oct 2005 Activate FEATURE_DAT_ENHANCEMENT_FACILITY_2 (LPTEA) - Roger Bowler
24 Oct 2005 LPTEA condition code setting - Roger Bowler
24 Oct 2005 Don't set iodelay to 800 if OSTAILOR LINUX - Greg Smith
23 Oct 2005 SIGP/IPL enhancements: add support for new Conditional Emergency
            and Sense Running State orders, add support for Set Architecture
            order parm code 2 and other associated fixes to SIGP processing
            (minor fixes to clear reset logic, "operator intervening" status;
            restructure ipl.c & add support for captured z/Arch PSW, add CPU#
            to registers display in hscmisc.c) - Fish
22 Oct 2005 ACCTYPE_LPTEA in translate_addr - Roger Bowler
22 Oct 2005 Fish's (x-n) bit-shifts (ALRF readability enhancement) - Roger Bowler
21 Oct 2005 Move inline functions from esame.c to inline.h - Roger Bowler
20 Oct 2005 Fix extra path separator issue in http_download - Fish
20 Oct 2005 "tasks/xmlrates" == 'cgibin_xml_rates_info()' contributed
            by Tim Pinkawa [timpinkawa@gmail.com] - Fish
20 Oct 2005 cckdutil.c: use LSEEK instead of lseek - Fish
19 Oct 2005 Add OSTAILOR z/OS - Roger Bowler
19 Oct 2005 Don't allow windows paths to confuse shared_ckd_init - Fish
18 Oct 2005 Setting of excarid for ASTE-instance exception (Fish) - Roger Bowler
15 Oct 2005 Fix panel color - Jay & Greg Smith
15 Oct 2005 Fix ASTE instance number handling in PC - Jan Jaeger
12 Oct 2005 cckd: gcol moves l2 tables to the front - Greg Smith
12 Oct 2005 cckd_comp improvements - Greg Smith
11 Oct 2005 Minor change in CU14, thanks Roger - Bernard van der Helm
10 Oct 2005 MIDAW list must not cross a page boundary - Roger Bowler
10 Oct 2005 IDTE instruction is RRF_RM format with unused M4 operand - Roger Bowler
07 Oct 2005 Display SIGP order number in addition to description - Roger Bowler
06 Oct 2005 Store Facility List Extended (STFLE) - Roger Bowler
06 Oct 2005 Implemented ETF2 enhancements, still having the flu - Bernard van der Helm
06 Oct 2005 Implemented ETF3 and crypto while having the flu - Bernard van der Helm
05 Oct 2005 Fix segfault in HSCH if device is startpending - Greg
05 Oct 2005 Activate FEATURE_EXTENDED_IMMEDIATE - Roger Bowler
05 Oct 2005 Corrections to FLOGR instruction - Roger Bowler
05 Oct 2005 MIDAW corrections - Roger Bowler
04 Oct 2005 merge FEATURE_LOAD_ADDITIONAL into FEATURE_EXTENDED_IMMEDIATE - Roger Bowler
04 Oct 2005 rename FEATURE_LOAD_PAGE_TABLE_ENTRY_ADDRESS as FEATURE_DAT_ENHANCEMENT_FACILITY_2 - Roger Bowler
04 Oct 2005 rename FEATURE_BRANCH_DETECTION as FEATURE_PER3 - Roger Bowler
04 Oct 2005 rename FEATURE_CPACF_ENHANCEMENTS as FEATURE_MESSAGE_SECURITY_ASSIST_EXTENSION_1 - Roger Bowler
22 Sep 2005 PR# tape/27: *proper* VC7 Large File Support - Fish
21 Sep 2005 Init cckd->l2active to -1 instead of 0 - Greg
21 Sep 2005 tweak concpy to avoid double byteswap - Fish
21 Sep 2005 Add inline assembler assists to startup buildinfo display - Fish
21 Sep 2005 sysblk.mipsrate now per second instead of millisecond, fix
            bug in timer_update_thread when elapsed < 1 millisec - Fish
20 Sep 2005 Fix divide_single fixed-point-divide-exception check - Greg
16 Sep 2005 PR# hercgui/22: issue dasdload REQCYL= progress msg sooner - Fish
16 Sep 2005 PR# tape/27: discard bug-ridden VC7 Large File Support - Fish
16 Sep 2005 startio should return cc 2 if startpending is on - Greg
16 Sep 2005 Changes to allow building via Cygwin if desired - Fish
16 Sep 2005 Bring MSVC branch up-to-date with head branch - Fish
05 Sep 2005 Correct SSID in Sense Subsystem Status and Read Device Characteristics - Roger Bowler
05 Sep 2005 Sense Subsystem Status for 3990 model 6 - Roger Bowler
04 Sep 2005 tt32_open: 'errno' clobber workaround - Fish
04 Sep 2005 tt32_get_default_iface: never return NULL to prevent crash - Fish
04 Sep 2005 Read Subsystem Data: Storage Paths, Subsystem Statistics - Roger Bowler
03 Sep 2005 Don't report #of host processors if not known - Fish
03 Sep 2005 w32ctca.c: LoadLibrary doesn't like forward slashes - Fish
03 Sep 2005 dasdconv: 1. HercGUI compatibility changes, 2. add -lfs option
            to create one very large output file - Fish
02 Sep 2005 Perform Subsystem Function CCW: Set Interface Id order - Roger Bowler
02 Sep 2005 ckddasd Read Subsystem Data CCW - Roger Bowler
31 Aug 2005 Fix some bugs in w32stape.c - Fish
            1. w32_read_tape: was returning an error when a tapemark
               was read instead of simply returning 0 bytes read.
            2. w32_internal_mtop: MTWEOF: changed to retry WriteTapemark
               with generic TAPE_FILEMARKS if TAPE_LONG_FILEMARKS fails.
31 Aug 2005 PR# tape/31: Merge Jay's tapecopy changes (that added support
            for copying from AWS i/p to SCSI o/p) from cvs head into
            the MSVC 'mingw_port' branch - Fish
30 Aug 2005 dasdtab entries for 3990 model 3 and 6 - Roger Bowler
30 Aug 2005 Add back support for 'CTCI-W32' format device statements,
            remove 28 Aug messages that say it's not supported - Fish
29 Aug 2005 PR# misc/12: support for Cygwin paths (e.g./cygdrive/x/) - Fish
28 Aug 2005 Tell about unsupported CTC emulations - Fish
28 Aug 2005 Tell where crash dump is going - Fish
18 Aug 2005 ostailor panel command; add display to pgmtrace command - Fish
17 Aug 2005 eliminate dupe "high water mark" code in panel/dyngui - Fish
17 Aug 2005 tapedev.c: fix locblock endianess issue in LOCATE BLOCK logic,
            add missing blockid increment in write_hetmark - Andy Styles
            [andy@styles.homeip.net] and John Decker [jdecker@oaksg.com]
            by Fish
17 Aug 2005 3390-54/3390-JJ support (65520 cyls) - beta - Greg Smith
16 Aug 2005 Added code to try and fix the old "console: DBG028: select:
            Bad file number" problem that still occassionally occurs,
            and added some code to try and detect what I believe to be
            the conditional that might be causing it (will this problem
            never end?!) - Fish
11 Aug 2005 STFL bits for ETF2/ETF3/STCKF-enhancement features - Roger Bowler
03 Aug 2005 ALS5: MIDAW facility - Roger Bowler
02 Aug 2005 Fix httproot ending slash issue - Fish
31 Jul 2005 ALS5: LT,LTG,LLC,LLH,LBR,LGBR,LHR,LGHR,LLCR,LLGCR,LLHR,LLGHR,FLOGR - Roger Bowler
31 Jul 2005 ALS5: NIHF,NILF,XIHF,XILF,IIHF,IILF,LLIHF,LLILF,OIHF,OILF - Roger Bowler
30 Jul 2005 ALS5: AFI,AGFI,ALFI,ALGFI,CFI,CGFI,CLFI,CLGFI,LGFI,SLFI,SLGFI - Roger Bowler
30 Jul 2005 ALS5 framework: LPTEA,STCKF,STFLE - Roger Bowler
30 Jul 2005 dasdcat/hetlib: add O_BINARY to open - Fish
29 Jul 2005 PR# misc/9: Cap reported mips/sios rates - Fish
29 Jul 2005 Add missing support for 'try_obtain_lock' to PTT tracing - Fish
29 Jul 2005 Reapply Ivan's 16 Mar 2005 console close logic update errone-
            ously negated trying to keep MSVC sync'ed with cvs head - Fish
28 Jul 2005 Fix MVCL clobber if ESAME but not amode64 - Greg Smith
28 Jul 2005 ALS5 framework: FEATURE_EXTENDED_IMMEDIATE - Roger Bowler
27 Jul 2005 ALS5 framework: FEATURE_HFP_UNNORMALIZED_EXTENSION - Roger Bowler
19 Jul 2005 concpy.pat - concurrent copy phase 1 - Greg Smith
05 Jul 2005 pttrace.c(ptt_pthread_print): remove erroneous assumption
            regarding size of timeval tv.tv_sec and time(time_t). Added
            "_USE_32BIT_TIME_T" to makefile-dllmod.msvc as VS8 workaround - Fish
05 Jul 2005 bootstrap.c: added addt'l verbage to "Oops!" message - Fish
05 Jul 2005 ASN-and-LX-reuse facility fixes to PC/PR/PT et al. instructions - Fish
04 Jul 2005 PR# emul/4: MSVC port puts garbage in bits 64-95 of ESAME PSW - Roger Bowler
03 Jul 2005 hstruct.h: CR_SIZE obsoleted - Fish
03 Jul 2005 bldcfg.c: Log run options - Fish
03 Jul 2005 Move DISABLE_CRT_INVALID_PARAMETER_HANDLER logic
            from console.c into w32util.c where it belongs - Fish
03 Jul 2005 w32util.c: Fix bug in w32_fseeki64 - Fish
03 Jul 2005 makefile-dllmod.msvc: VS8 support: _CRT_NONSTDC_NO_DEPRECATE,
            add pre-compiled header object file build_pch.obj to links - Fish
27 Jun 2005 Simplify machdep.h [7 patches] - Greg Smith
26 Jun 2005 Use "%"I64_FMT"X" instead of "%llX" for 64 bit values - Roger Bowler
24 Jun 2005 Fix autodetect failure in cardrdr - Roger Bowler
23 Jun 2005 Fix annoying dasdcat link error - Greg
18 Jun 2005 Fix "console: select: Bad file number" (FINAL?) - Fish
            "Generic"-ize OPTION_WAKEUP_SELECT_VIA_PIPE handling - Fish
15 Jun 2005 Fix ASN-and-LX-reuse facility incorrect linkage second table
            entry indexing bug in 'PC' (Program Call) instruction - Fish
10 Jun 2005 Fix panel not updating problem - Greg Smith
01 Jun 2005 Fix sf-xxx nomerge bug - Greg Smith
31 May 2005 Fix to fix for wrong null format track - Greg Smith
24 May 2005 Fix optimization typo in configure.ac - Fish
24 May 2005 _POSIX_SYNCHRONIZED_IO test for fdatasync in hmacros.h - Fish
23 May 2005 Fix detach_devblk crash if group member not allocated - Fish
23 May 2005 bootstrap: skip exception handler if being debugged - Fish
23 May 2005 Fix device trace (logdevtr) - Fish
23 May 2005 console tweaks; is Linux console still readable? - Fish
23 May 2005 Fix wrong null format track fix! - Fish
20 May 2005 Fix suspend if no zlib - Greg Smith
20 May 2005 Fix annoying hercifc loop when Hercules crashes - Greg Smith
20 May 2005 Fix wrong null format track - Reported by Gerald - Greg Smith
19 May 2005 savecore: fix help info and start/end range bug - Fish
19 May 2005 fix typo in 'set_console_cursor_shape', make minor
            Win32 tweak to tapedev.c filename handling. - Fish
18 May 2005 fix crash in panel.c when regs ptr changes after resume - Fish
17 May 2005 fix non-Win32 (e.g. Linux) console color issue (sorry!) - Fish
17 May 2005 ctci_close.pat - Let hercules terminate if CTCI device
            opened for non MSVC system - Greg
17 May 2005 color.pat - at least linux screen is now readable - Greg
14 May 2005 sysblk.shutfini, HTTP_SERVER_CONNECT_KLUDGE,
            fix my http server cgi var null termination bug. - Fish
12 May 2005 Removed ./intl directory (we no longer build libintl)
            gettextize to version 0.14.4
            Added several missing files to Makefile.am in order
              to allow the source distribution to build with MSVC
            Move 'cause_crash' to hscutl (from w32utl) - Ivan Warren
11 May 2005 fix many serious bugs in the http server logic. - Fish
10 May 2005 dasdconv direct from .gz input file - Roger Bowler
09 May 2005 printer.c: add O_BINARY to open so crlf option works - Fish
09 May 2005 shared.c: skip error msg inapplicable to Win32 builds - Fish
09 May 2005 w32util.c: skip WSACleanup to prevent hang @ shutdown. - Fish
09 May 2005 w32util.c: allow multiple sets in w32_select - Fish
09 May 2005 machdep.h: remove bit functions, add fetch_dw/store_dw - Fish
07 May 2005 last minute fixes: bootstrap.c: don't #define ARRAYSIZE
            (not needed), tweak 'makefile.bat' so it works with our official
            build instructions (soon to be published). - Fish
06 May 2005 1. MSVC compiler optimization hints, 2. remove ftol2 from w32util,
            3. create minidump in same directory as Hercules executable, 4.
            makefiles (all): finalize(?) build o/p dir names - Fish
06 May 2005 Comment out MemoryCallback type minidump callback - Ivan Warren
03 May 2005 1. makefile-dllmod.msvc: create .PDB files instead of /maps
               for 'Release' builds for crash dump analysis purposes,
            2. bootstrap.c: crash-dump support for debugging - Fish
01 May 2005 1. lame 1st attempt @ msvc assists in machdep.h & hbyteswp.h
            2. move MAX_CPU_ENGINES out of hercwind.h into makefile
            3. change %3'rd arg of makefile.bat ==> MAX_CPU_ENGINES
30 Apr 2005 http server now works - Fish
25 Apr 2005 panel/gui tweaks, move maxrates to herc, fix logmsg - Fish
21 Apr 2005 SCSI Tape support - Fish
16 Apr 2005 Large File Support - Fish
15 Apr 2005 BZIP2 support - Fish
15 Apr 2005 Fix CTC heap block freeing @ shutdown issues - Fish
14 Apr 2005 Fix hangs at shutdown - Fish
10 Apr 2005 Get FISH_HANG working again (though I'm not sure why) - Fish
09 Apr 2005 panel.c: honor sysblk.panrate - Fish
08 Apr 2005 cardrdr.c: get socket reader working - Fish
08 Apr 2005 logger.c: don't timestamp logfile if daemon mode - Fish
08 Apr 2005 sockdev.c/hscmisc.c: fix crash at shutdown - Fish
05 Apr 2005 (various): change "LL_FMT" back to just %ll - Fish
05 Apr 2005 (various): use HSO_errno, close_socket, etc - Fish
04 Apr 2005 ecpsvm.c: obtain/release sysblk.intlock in SPT macro - Fish
04 Apr 2005 makefile-dllmod.msvc: VS8 support - Fish
04 Apr 2005 Fix '>>' issues in dasdtab.c and ieee.c - Fish
04 Apr 2005 configure.ac: defer error reporting until very end - Fish
04 Apr 2005 featall.h/logger.c: OPTION_TIMESTAMP_LOGFILE - Fish
30 Mar 2005 Remove bogus IFNAMSIZ definition from hercwind.h - Ivan Warren
24 Mar 2005 Do not assume sizeof(DW) always equals sizeof(U64) - Ivan Warren
16 Mar 2005 Update console close logic - Ivan Warren
13 Mar 2005 Split DLLs and HDL Ok - Ivan Warren
12 Mar 2005 dyngui (and thus HercGUI) now works w/OPTION_DYNAMIC_LOAD - Fish
11 Mar 2005 autodiscover zlib in winbuild\zlib\win32_32 - Ivan Warren
09 Mar 2005 Fix get/setpriority to use 'id_t' type - Fish
09 Mar 2005 Fixed optimization flags, added "batch build", debug builds
            now work, use XCOPY instead of COPY - Fish
07 Mar 2005 Precompiled headers - Ivan Warren
06 Mar 2005 w32ctca.c: always search the defined modules dir first
            (/usr/local/lib/hercules) when loading TunTap32.dll - Fish
06 Mar 2005 Fix a bug in my 64-bit changes to the CFC instruction - Fish
05 Mar 2005 DLL Build for MSVC - Ivan Warren
03 Mar 2005 VS .NET Build for DLL Build - Ivan Warren
25 Feb 2005 Another 3480-X'DB' Fix. Tape does not need to be ready
            for a X'DB' to work. Hinted by John Decker - Ivan Warren
25 Feb 2005 Fix het block count bug introduced by my earlier SCSI changes;
            John Decker (and Andy Styles) by Fish (thanks guys!)
03 Feb 2005 MinGW port finally works! (static only; no HercGUI (yet)) - Fish
22 Jan 2005 Added '*' comment command as official do-nothing command - Fish
13 Jan 2005 Optmization to instruction fetch for unrolled execute - Greg Smith
13 Jan 2005 AMD64 assembler assists - Bob Deblier by Greg
05 Jan 2005 Fix dasdcopy bug for output ckd file - Greg Smith
02 Jan 2005 Bug fix 14dec05 fixed - Bernard van der Helm
02 Jan 2005 Add integrated 1052/3215 consoles - Jan Jaeger
29 Dec 2004 3480 Modeset (X'DB') has 1 byte of data - Ivan Warren
28 Dec 2004 Set reserved VOL1 fields to blanks - Greg Smith
26 Dec 2004 Initialize guestsregs->ints_state in SIE - Greg Smith
25 Dev 2004 Allow use of 'symbols' for panel commands - Ivan Warren
24 Dec 2004 sie perf update attempt (again).. Merry Xmas - Ivan Warren
23 Dec 2004 Fix SCSI mountreq/unmountreq tests in ReqAutoMount - Fish
22 Dec 2004 Fix to cc in CUUTF and CUTFU instruction - Greg
22 Dec 2004 Fix minor benign glitch in breakpoint cmd - Fish
22 Dec 2004 Fix to TROT instruction in esame.c - Fish
22 Dec 2004 Make 'notimer' the pttrace default as per comments - Fish
22 Dec 2004 Mark Drummond channel.c tape read backwards fixes - Fish
19 Dec 2004 dasdinit VOL1 and linux vtoc tweaks - Greg Smith
16 Dec 2004 Fix BRXHG and BRXLG to branch backwards too - Greg Smith
14 Dec 2004 Ensure dyncrypt is built *AFTER* core - Ivan Warren
14 Dec 2004 cckd garbage collector fix - Greg Smith
14 Dec 2004 Bug in utf xlations, cc3 was never reached - Bernard van der Helm
10 Dec 2004 ppc assembler assists for cmpxchg1, cmpxchg4 - Greg Smith
08 Dec 2004 dasdinit -linux option support - Greg Smith
06 Dec 2004 Keep crx in sync with INST_SPACE - Jan Jaeger
04 Dec 2004 Make chkdsk faster if disk is readonly - Greg Smith
03 Dec 2004 Begin work on MinGW port - Fish
03 Dec 2004 Optimize clearing memory - Greg Smith
02 Dec 2004 Fix ref & change recording in relation to SSKE/RRBE - Jan Jaeger
02 Dec 2004 Fix SIE guest timer interrupt handling - Jan Jaeger
30 Nov 2004 Use SLEEP() to ensure sleep for `n' seconds - Greg Smith
30 Nov 2004 Get mainstor after device initialization - Greg Smith
29 Nov 2004 Fix reference and change recording in dat-off mode - Jan Jaeger
28 Nov 2004 Binary Floating Point feature completed - Roger Bowler
28 Nov 2004 TBEDR,TBDR instructions - Roger Bowler
26 Nov 2004 Improve stack access - Jan Jaeger
25 Nov 2004 Fix MCK in ECPS:VM - Ivan Warren
23 Nov 2004 Improve access register translation - Jan Jaeger
22 Nov 2004 Fix incorrect protection/access in ar mode - Jan Jaeger
21 Nov 2004 Correction to TRTR - Roger Bowler
20 Nov 2004 Add CHSC commands for linux/390 - Jan Jaeger
19 Nov 2004 Document OSTAILOR QUIET - Ivan Warren
18 Nov 2004 Fix zero ilc & pgm oldpsw problem - Jan Jaeger
18 Nov 2004 DIEBR,DIDBR instructions - Roger Bowler
18 Nov 2004 VPATH Build enablement - Ivan Warren
17 Nov 2004 Fix instruction operand trace display - Jan Jaeger
17 Nov 2004 MADBR,MADB,MAEBR,MAEB,MSDBR,MSDB,MSEBR,MSEB instructions - Roger Bow
ler
16 Nov 2004 MXDBR,MXDB,MDEBR,MDEB instructions - Roger Bowler
15 Nov 2004 LDXBR,LEXBR,CXFBR,CXGBR,CFXBR,CGXBR instructions - Roger Bowler
14 Nov 2004 Fix AR-mode translation when alet is 2 - Greg Smith
13 Nov 2004 LXEB,LXEBR,LXDB,LXDBR instructions - Roger Bowler
01 Nov 2004 Simplify ALRF integration in LASP (Suggested by RB) - Ivan Warren
15 Oct 2004 Apply CKD Shadow file update to FBA devices - Ivan Warren
14 Oct 2004 Resolved pointers to signed/unsigned types issues
            revealed by gcc 4.0 pre-release experiments - Ivan Warren
12 Oct 2004 Tweak cckd free space processing - Greg Smith
12 Oct 2004 Fix broken suspend/resume - Greg Smith
11 Oct 2004 Changed libgcrypt requirement to 1.1.90 or better - Ivan Warren
10 Oct 2004 Repaired some deprecated warnings dyncrypt.c - Bernard van der Helm
07 Oct 2004 OPTION_WAKEUP_SELECT_VIA_PIPE - Ivan Warren by Fish
05 Oct 2004 cr_mask.pat - Fix SIE intercept logic for LCTL - Greg Smith
05 Oct 2004 no_ffs.pat - Remove ffs ia32 assembler assist - Greg Smith
01 Oct 2004 Fix segfault when IPLing with IPL CPU offline - Ivan Warren
29 Sep 2004 Fix load/store multiple change (21 Sep 2004) to actually
            improve performance - Greg Smith
28 Sep 2004 Fix directive inside macro problem in tapecopy.c - Greg Smith
28 Sep 2004 Fix resume-suspend logic in channel.c - Greg Smith
28 Sep 2004 Added iplc (IPL Clear), sysreset (System reset) and
            sysclear (System reset clear) panel commands - Ivan Warren
26 Sep 2004 Fix segfault when multiple ckd files for dasd volume - Greg Smith
26 Sep 2004 Fix segfault when no cckd shadow file - Greg Smith
24 Sep 2004 Remove (most) int/ptr mismatch warnings for 64 bit machines
            tentative x86_64 support in autoconf
            prevent redefining "ffs" if built-in (for non-ia32) - Ivan Warren
24 Sep 2004 Tapecopy: progress msgs for external gui -- Fish
23 Sep 2004 Restore '-Wall -W' flags to gcc, Pass along CFLAGS to configure
            Eliminated all but 8 warnings -- Ivan Warren
22 Sep 2004 Fix tapecopy -- Fish
21 Sep 2004 cckd `sf-xxx force' command, cckd rewrite - Greg Smith
21 Sep 2004 Performance enhancement for multi-byte opcodes - Greg Smith
21 Sep 2004 Performance enhancement for load/store multiple type
            instructions (LCTL STCTL LMD LMH LMG STCTG LCTLG STMG
            STMH LAMY LMY STAMY STMY LAM LM STAM STM) - Greg Smith
21 Sep 2004 Performance enhancement for BCR, BRC, BRCL -
            inspired by Bernard by Greg Smith
21 Sep 2004 Fix CKD sense codes - Tomas by Greg Smith
19 Sep 2004 Fix/enhance SCSI tape display/mount msgs - Fish
15 Sep 2004 Enable pentium4 specifics for gcc. Fixes
                - SIGFPE in CFEBR (due to possible bug in feclearexcept)
                - Allow use of assisted MEMCPY/MEMSET/etc.. for P4
                - ./configure ... --host|--build=pentium4|i786-<os>
                  - Ivan Warren
12 Sep 2004 Fix crash in CTCI_Query when device group incomplete - Fish
06 Sep 2004 emulated positioning error fix for read blockid - Fish
05 Sep 2004 tapedev.c/scsiptape.h: blockid s/b maintained by media handlers,
            minor tweak to when scsi automount thread started, fthreads.h:
            change default fthreads mutex type from recursive to errorcheck
            to prevent unintended introduction of deadlock situations due
            to difference between Windows/Linux's threading model - Fish
05 Sep 2004 1. Fix deadlock introduced by me in scsitape.h, 2. rescind
            30 Jul 2004 bldcfg.c fix that I'm told is actually contrary
            to a change/decision made by Jan back on 2003/03/20 that I
            was unaware of - Fish
02 Sep 2004 Re-enable build without dynamic loading suppt - Ivan Warren
28 Aug 2004 SCSI tape mods part 1 (cont'd): don't retreive tape status
            until it's actually needed for error determination - Fish
27 Aug 2004 Removed all conditional and cast lvalues to accomodate for
            gcc 3.4 and beyond - Ivan Warren
19 Aug 2004 Suspend/resume loadparm value - Christopher by Greg Smith
19 Aug 2004 cckd fix: Honor readonly option on sf- to base file - Greg Smith
18 Aug 2004 cckd fixes: possible sf- corruption, messages - Greg Smith
16 Aug 2004 DAT-enhancement facility: IDTE instruction - Roger Bowler
10 Aug 2004 Fix dasdcopy to large ckd file - Fish & Greg
04 Aug 2004 PIC1 all ALRF only instructions when ALRF disabled
            Also fix code limit for ESTA - Ivan Warren
30 Jul 2004 SCSI tape mods part 1: Auto-detect SCSI tape mounts - Fish
30 Jul 2004 Fix bug in bldcfg that was causing device initialization
            failures to not abort Herc statup as they should -- Fish
30 Jul 2004 Make config symbol sub more generalized - Ivan Warren
30 Jul 2004 SIE Perf boost patch correction for pending irpts - Ivan Warren
28 Jul 2004 Remove opctab from run_cpu stack - Greg Smith
28 Jul 2004 Some more SIE perf updates - Ivan Warren P/O Greg Smith
27 Jul 2004 SIE Perf boost. Look for string ISW20040727 to revert - Ivan Warren
27 Jul 2004 SR Fix affecting suspended CCWs - Ivan Warren P/O Greg Smith
26 Jul 2004 Hercules suspend/resume command support - Greg Smith
26 Jul 2004 Clear PSW Bit 12 when switching to ESAME via SIGP - Ivan Warren
26 Jul 2004 Added ASN_AND_LX_REUSE config statement - Ivan Warren
25 Jul 2004 cfba fixes (I hope) - Greg Smith
23 Jul 2004 DAT-enhancement facility: CSPG instruction - Roger Bowler
22 Jul 2004 Fix 370 address lookup for USE_REAL_ADDR - Greg Smith
22 Jul 2004 Activate ASN-and-LX-reuse facility - Roger Bowler
22 Jul 2004 ASN-and-LX-reuse facility: changes for LASP - Roger Bowler
22 Jul 2004 defsym fix and env var fallback - Ivan Warren
21 Jul 2004 Invalidate AIA for s370 on dat-mode change - Greg Smith
21 Jul 2004 ASN-and-LX-reuse facility: changes for BSG - Roger Bowler
20 Jul 2004 Updated CTC Device def stmt doc for TCP/IP - Ivan Warren
15 Jul 2004 Fixed tape "at loadpoint" sense issue - Ivan Warren
08 Jul 2004 cfba fixes - Greg Smith
08 Jul 2004 ASN-and-LX-reuse facility: SSAR, SSAIR - Roger Bowler
07 Jul 2004 ASN-and-LX-reuse facility: PT, PTI - Roger Bowler
01 Jul 2004 Fix error introduced into BCTR - Juergen & Greg
01 Jul 2004 Minor performance update macro ILC - Bernard van der Helm
29 Jun 2004 exilc.pat - Remove execflag check from INST_UPDATE_PSW - Greg
29 Jun 2004 noilc.pat - Calculate ILC on demand - Greg Smith
27 Jun 2004 pr.pat - Performance tweak for PR - Greg Smith
27 Jun 2004 cckdwrs.pat - Prevent extra writer threads from starting - Greg
26 Jun 2004 if.pat - Minor tweaks to instfetch - Greg Smith
26 Jun 2004 gen.pat - Performance tweaks to L,LM,SLA,SLR,ST,STM - Greg Smith
26 Jun 2004 tlbx2.pat - Fix real mode bug in tlbx.pat - Greg Smith
26 Jun 2004 iawrap2.pat - Fix performance bug in iawrap.pat - Greg Smith
24 Jun 2004 cckdhang.pat - Fix hang on shutdown if using cckd - Greg Smith
19 Jun 2004 lfs.pat - Allow large files if sizeof(off_t) > 4 - Fish & Greg
17 Jun 2004 iawrap.pat - Performance improvement for instruction address
            wrapping - Greg Smith
17 Jun 2004 ex4.pat - Performance improvement for 4 byte inst - Greg Smith
17 Jun 2004 tlbx.pat - accelerated address lookup improvements - Greg Smith
17 Jun 2004 Tuntap duplicate MAC address fix/workaround - Fish
15 Jun 2004 ASN-and-LX-reuse facility: PC number translation - Roger Bowler
14 Jun 2004 ASN-and-LX-reuse facility changes for PR - Roger Bowler
11 Jun 2004 Minor ETF3 optimalizations - Bernard van der Helm
10 Jun 2004 Prevent multiple console threads from being created - Fish
10 Jun 2004 ETF3 fixes Roger Bowler/Bernard van der Helm
10 Jun 2004 ipaddr/mask filtering support for terminal devices - Fish
08 Jun 2004 Extended translation facility 3 completed - Bernard van der Helm
05 Jun 2004 ASN-and-LX-reuse facility changes for ESTA,BAKR - Roger Bowler
05 Jun 2004 Added CU14, CU24 - Bernard van der Helm
04 Jun 2004 Fix startall bug (thanks Greg) - Fish
04 Jun 2004 Framework for ASN-and-LX-reuse facility,EPAIR,ESAIR - Roger Bowler
04 Jun 2004 Added TRTR + skeleton extended translation facility 3 - Bernard van
der Helm
29 May 2004 dyngui.c: fix UpdateTargetCPU, new "maxrates" cmd - Fish
29 May 2004 Fixed stopall/startall - Fish
29 May 2004 Remove "fake loading of <windows.h>" in hercules.h - Fish
28 May 2004 TUNTAP_SetDestAddr: 'ifr_addr' (NOT 'ifr_dstaddr') - Fish
28 May 2004 ffs.pat - SMP fix for ffs macro - Greg Smith
24 May 2004 Mac OS X CTC support - Jay Maynard
24 May 2004 gcwait.pat, cckdfat.pat - cckd fixes - Greg Smith
22 May 2004 Fix crypto/Makefile.am warning about CFLAGS use - Ivan Warren
22 May 2004 Fix warning about CONTAINING_RECORD macro (linklist.h) - Fish
14 May 2004 libgcrypt API variations automagic integration - Greg & Ivan
13 May 2004 bc.pat - Yet another BC optimization - Greg Smith
13 May 2004 fetch_main_absolute.pat - Resolve absolute addresses only
            once for multiple addresses in the same page - Greg Smith
13 May 2004 sieregs.pat - Obtain guestregs on first execute of SIE - Greg Smith
13 May 2004 immed.pat - ni/xi/oi optimizations - Greg Smith
04 May 2004 cckdbuf.pat - cckd fixes - Greg Smith
17 Apr 2004 Correct merged PER guest interrupt propagation - Jan Jaeger
10 Apr 2004 Use signal shutdown on quit - Jan Jaeger
09 Apr 2004 PMCW QDIO bit no longer reserved - Jan Jaeger
08 Apr 2004 QDIO device handler changes - Jan Jaeger
08 Apr 2004 Correct false PIC 04 on TRAP2/4 instructions - Jan Jaeger
04 Apr 2004 Undo change 14 May - Bernard van der Helm
30 Mar 2004 Add debug entry point for watchdog signal - Jan Jaeger
26 Mar 2004 Program old PSW fix (ESAME) - Jan Jaeger
25 Mar 2004 Program old PSW fix (S/390) - Jan Jaeger
24 Mar 2004 More of Greg's CLC improvements + no direct SK manipulation
            when dealing with non-crossing MVCs - Ivan Warren
22 Mar 2004 Fix DXC codes in ieee.c - Jan Jaeger
21 Mar 2004 Fix false PIC 04's under SIE - Jan Jaeger
18 Mar 2004 re-enable ECPS:VM + VTIMER fix - Ivan Warren
17 Mar 2004 clc.pat - Optimize CLC - Ivan & Greg - Greg Smith
17 Mar 2004 l2m.pat - Tweaks to logical_to_main - Greg Smith
17 Mar 2004 protected.pat - Optimization for is_fetch_protected - Greg Smith
17 Mar 2004 prefixing.pat - Optimize APPLY_PREFIXING using xor - Greg Smith
14 Mar 2004 tlb1024.pat - Increase TLB size to 1024 - Greg Smith
14 Mar 2004 permode.pat - bit check for PER mode - Greg Smith
14 Mar 2004 maddr.pat - virtual address translation returns mainstor
            address - Greg Smith
11 Mar 2004 CLC performance improvement - Ivan Warren
10 Mar 2004 Changed MAXTTR in DASDLOAD.C to 50000 - Volker Bandke
08 Mar 2004 Optimised non crossing/non overlap MVCs with length
            2,4,8,12 and 16 - Ivan Warren
06 Mar 2004 RR, RRE, RRF_* macro optimalization - Bernard van der Helm
05 Mar 2004 Restructure loadparm handling - Jan Jaeger
05 Mar 2004 Fix locking during ipl from web interface - Jan Jaeger
05 Mar 2004 LPAR name restructure - Jan Jaeger
05 Mar 2004 Initialize loadparm to blanks instead of dots - Jan Jaeger
28 Feb 2004 Simplify translate_addr() parameter list - Greg Smith
28 Feb 2004 vstore/vfetch updates for boundary crosses - Greg Smith
28 Feb 2004 Fix TB (B22C) under SIE - Greg Smith
27 Feb 2004 Special I/O processing for Immediate Commands - Ivan Warren
26 Feb 2004 Set iodelay correctly for 0 value; dasdtab comments - Greg Smith
25 Feb 2004 Don't set incorrect length on printer immediate CCWs - Jay Maynard
21 Feb 2004 Added system parameter lparname - Bernard van der Helm
16 Feb 2004 clc.pat - Optimize CLC - Greg Smith
16 Feb 2004 move_chars.pat - Optimize move_chars - Greg Smith
16 Feb 2004 radr.pat - Make type RADR type U32 for 32 bit machines - Greg Smith
16 Feb 2004 sie_mode.pat - Check sie_mode bit for sie mode regs - Greg Smith
16 Feb 2004 vfethc.pat - Optimize vfetchc - Greg Smith
16 Feb 2004 execflag.pat - Remove execflag from inst calls - Greg Smith
16 Feb 2004 skp.pat - Reduce setting storage key bits - Greg Smith
16 Feb 2004 psw.pat - Revise internal psw format - Greg Smith
07 Feb 2004 Device groups descriminators for console devices - Ivan Warren
07 Feb 2004 Update cpuints.h bit processing - Greg Smith
06 Feb 2004 Add SIE_STATNB macro - Jan Jaeger
06 Feb 2004 Correct SIE feature byte tests - Jan Jaeger
05 Feb 2004 Reverse armode patch - problems with XC mode - Greg Smith
05 Feb 2004 PR (Program Return) fix - Jan Jaeger
04 Feb 2004 Add SIE_STATE macro - Jan Jaeger
04 Feb 2004 Aff SIE_STATB macro - Jan Jaeger
04 Feb 2004 Change SIE host page protect logic - Jan Jaeger
03 Feb 2004 Fix segfault in ipl from CDROM - Jan Jaeger
02 Feb 2004 Fix instr display for SIE'd prog interrupt - Ivan Warren
01 Feb 2004 Breakpoint range, suggested by Binyamin Dissen - Greg Smith
31 Jan 2004 Fix possible CKD/FBA corruption - Karl-Heinz Lohner by Greg Smith
30 Jan 2004 LOGICAL_TO_ABS/logical_to_abs performance enhancement -
            Greg Smith
30 Jan 2004 vfetch/vstore, RR format Optimisation
            re-instate static/inline for IFETCH & LOGICAL - Ivan Warren
21 Jan 2004 Correct 'unloaded' tape processing - Ivan Warren
20 Jan 2004 Fix references to regs->inst to regs->ip - Greg Smith
19 Jan 2004 Return 'Already at BOT' sense on BSF when at BOT
            (Detected by Mark Drummond) - Ivan Warren
16 Jan 2004 Performance Enhancement: REGS on run_cpu stack - Greg Smith
16 Jan 2004 Performance Enhancement: instfetch - Greg Smith
14 Jan 2004 CPU reconfig fixes - Jan Jaeger
07 Jan 2004 DIAG 204 fix - Jan Jaeger
07 Jan 2004 Add log command to dynamically redirect system log - Jan Jaeger
19 Dec 2003 Correct Keyboard Shortcuts for pseudo-graphical Console - Volker
            Bandke, code by Marian Gasparovic
17 Dec 2003 Correct structure size boundaries for ARM compiles - Ivan Warren
12 Dec 2003 Clear tlb every 2^16 invalidations instead of 2^8 - Greg Smith
09 Dec 2003 Fix false PIC 05 on MVPG - Jan Jaeger
05 Dec 2003 Move IS_IC_TRACE check to slowloop in run_cpu - Greg Smith
05 Dec 2003 Clear regs->ve every 2^20 invalidations instead of 2^12 - Greg Smith
05 Dec 2003 Add "filename completion" shortcut via TAB character to panel.c -
            Volker Bandke, original code by Marian Gasparovic
04 Dec 2003 Add sclp reset to io reset - Jan Jaeger
01 Dec 2003 Signal Quiesce (shutdown) & ssd command - Jan Jaeger
29 Nov 2003 Fix race condition in console.c recv_3270_data causing 100%
            CPU utilization, zero MIPS" Hercules hang symptom (version
            in configure.ac version bumped to 3.00a.5) - Fish
29 Nov 2003 Fix "passing arg n of <function> from incompatible pointer type"
            warnings in codepage.c, dat.h, stack.c, xstore.c - Fish
29 Nov 2003 Fix reset_channel_path - Mark Drummond by Greg Smith
28 Nov 2003 Flush Buffer On lost data condition in 2703 handler - Ivan Warren
27 Nov 2003 CTCI/LCS: fix enqueue full frame buffer loop; enable thread
            joining at LCS close - Fish
26 Nov 2003 Performance enhancements for CLM/ICM/STCM and XC - Greg Smith
26 Nov 2003 ia32 assists for virtual store memcpy - Greg Smith
26 Nov 2003 console.c: ignore "Negotiate About Window Size" from telnet
            client so e.g. WinNT telnet client works - Greg Price by Fish
26 Nov 2003 Add missing 'filename' initialization for CTCI devices - Fish
26 Nov 2003 Enable thread joining logic in logger_term - Fish
24 Nov 2003 Fixed fthreads: basically almost a complete rewrite, involving
            thread joining support and & mutex attribute support; version
            number in configure.ac bumped to 3.00a.3 - Fish
23 Nov 2003 TLB fixes - Greg Smith
18 Nov 2003 ptt trace updates - Fish & Greg Smith
17 Nov 2003 Bypass garbage collection if not opened read/write - Greg Smith
13 Nov 2003 Additional checks for pending attention interrupt - Greg Smith
11 Nov 2003 bumped configure.ac version to 3.00a.2 just for fun - Fish
11 Nov 2003 fix hst command history logic buffer overflow bug - Fish
11 Nov 2003 ieee.c floating point fixes: fix bug in FP_INFINITE, FP_NAN,
            and FP_ZERO handling for CFDBR, CFEBR, CGDBR, and CGEBR,
            fix int divide by zero crash preceded by msg "lbfpston:
            unexpectedly converting an Infinite" - Willem & Fish
10 Nov 2003 Clear attention interrupt pending during device reset - Greg Smith
08 Nov 2003 Added command history to panel.c - Volker Bandke, code by Marian Gas
parovic
07 Nov 2003 Added optimization problem bypass for GCC 2.96 - Ivan Warren
30 Oct 2003 Added crypto functions - Bernard van der Helm / Jan Jaeger
24 Oct 2003 pttrace.c threads trace patch - Greg
22 Oct 2003 shared_server tolerates unix socket problems - Greg
20 Oct 2003 Prevent dyngui unload when gui active - Jan Jaeger
17 Oct 2003 Make sure 'init_hostinfo' called BEFORE 'display_version' - Fish
16 Oct 2003 Always updagte `ints_state' (except PER) with `intlock' held - Greg
13 Oct 2003 fix 'ipending' cmd to display ALL pending interrupts - Fish
13 Oct 2003 dequeue ALL i/o ints in device_reset - Fish
13 Oct 2003 impl.c: terminate w/HHCIN008S if dyngui.dll load fails - Fish
12 Oct 2003 dequeue i/o int fix in device_reset - Jan Jaeger
11 Oct 2003 Added verbose flag to display_version, and set to FALSE on
            standalone utilities - Jay Maynard
07 Oct 2003 Shared library fix for dyninst.c - Jan Jaeger
06 Oct 2003 Enable ia32 assembler assists for -fPIC - Greg Smith
02 Oct 2003 Issue warning message when restoring non-IEBCOPY xmit file
            using dasdload - Greg Smith
01 Oct 2003 Fix segmentation fault using NPTL threads and no console
            device is specified - Greg Smith
29 Sep 2003 Backout STUPID (dangerous) 16 Aug 2003 het changes now that
            configure.ac detects the bug that was causing it - Fish
            (I can't believe I did that; I must have been tired)
27 Sep 2003 Correct Makefile.am Transient variable names to not end
            with automake primaries - Ivan Warren
25 Sep 2003 PowerOff diagnose for 4361 & 937X processors - Tomas Masek by Fish
25 Sep 2003 Fix DASDCOPY bug copying too much to uncompressed FBA o/p - Fish
25 Sep 2003 Fix dasdtab entry for 3310 FBA device type - Fish
25 Sep 2003 Initial power-on reset for mainstor & expanded storage - Fish
25 Sep 2003 Resolve & verify HTTPROOT in config.c before startup - Fish
25 Sep 2003 Fix bug in fbadasd_init_handler causing DASDCOPY crash - Fish
21 Sep 2003 Complete overhaul to the build process  (merge of libtool_exp)
            version set to 2.17.c0
            - A Lot of People (commit by Ivan Warren)
21 Sep 2003 Added test for cygwin gcc alloca bug to configure.ac to fix
            issue of http server (and possibly other things) crashing - Fish
20 Sep 2003 Add disassemble command (u [r|v|p|h] addr range) - Jan Jaeger
16 Sep 2003 Tape read backward fixes contributed by Jay Jaeger - Fish
16 Sep 2003 Repair DEVPRIO handling - Mark L. Gaubatz
28 Aug 2003 Check mmap return value when allocating main storg - Ivan Warren
24 Aug 2003 fix for Asynch I/O Status stacking race condition - Ivan Warren
24 Aug 2003 Add modpath configuration statement - Jan Jaeger
22 Aug 2003 Remove setpriority from execute_ccw_chain and instead
            move it directly into the device thread itself - Fish
22 Aug 2003 Add support for strlcpy/strlcat and use in httpserv.c
            (please use where possible instead of strncpy/strncat) - Fish
22 Aug 2003 Define default priorities for WIN32 / non-WIN32 - Fish
20 Aug 2003 Correct interval timer references and resolution - Mark L. Gaubatz
19 Aug 2003 Make devlist command immune from DEVBLK chain sequence - Fish
19 Aug 2003 Windows "double memory consumption" fix contributed by
            Mark D. (golden_dog98 [golden_dog98@yahoo.com]) - Fish
19 Aug 2003 Committed Jim Pierson's "-g -O2" optimization flags fix - Fish
19 Aug 2003 Fix dasdtab to provide correct model numbers for
            sense ID on 3340-1 (35M) and 3340-2 (70M) - Ivan Warren
19 Aug 2003 Removed W32 only symbol from linux build in ctcadpt - Ivan Warren
19 Aug 2003 Fixed nested lock issue in LCS freezing on Linux - Ivan Warren
19 Aug 2003 Fixed herc crash when "attach" CTCI with no parm - Jim Pierson
19 Aug 2003 Allow Write Record 0 after Write Home Address on CKDs
            problem initially reported by Jay Jaeger(cube1us) - Ivan Warren
18 Aug 2003 Re-instated fast dev lookup as a cache facility
            Thanks Fish for the suggestions - Ivan Warren
17 Aug 2003 Added HERCPRIO, DEVPRIO and TODPRIO - Mark L. Gaubatz
17 Aug 2003 Disabled Fast devnum & subchan lookup because of
            some incompatibilities / reported by yvangamache - Ivan Warren
16 Aug 2003 fix tt32stats command when OPTION_DYNAMIC_LOAD - Fish
16 Aug 2003 fix CTCI segfault caused by bug in build_config when
            OPTION_CONFIG_SYMBOLS specified - Fish
16 Aug 2003 fix 'make install-strip' issue with dyn devices identified
            by yvangamache [yvangamache@hotmail.com]  -- Fish
16 Aug 2003 copytape (hetupd.c), main (hetmap.c), het_read, het_write
            (hetlib.c): define global static I/O buffers to work around
            pre gcc 3.2 bug #8750 identified on "04 Jan 2003" - Fish
            http://gcc.gnu.org/bugzilla/show_bug.cgi?id=8750
15 Aug 2003 Compress ESAME psw in semi graphic panel - Jan Jaeger
14 Aug 2003 Updated dasdutil.c for HDL compatibility - Ivan Warren
14 Aug 2003 Added D/T 3422,3430 to hdteq & tapedev(hdt3420) - Ivan Warren
14 Aug 2003 Cosmetics : Correct HHCTE006A Prompt - Ivan Warren
14 Aug 2003 Fast Devnum & Subchannel lookup algorithm - Ivan Warren
11 Aug 2003 Dequeued IOINT struct off of sysblk.iointq during
            TIO/TSCH to prevent incorrect PCI/Final irpt reordering.
            OS360/MVT Now IPLs correctly.
            All changed marked with "ISW20030812" - Ivan Warren
08 Aug 2003 2.17.b2: fixed incorrectly typed thread functions - Fish
            all thread functions s/b "void *thread(void *arg)", not
            void thread(void *arg) or void *thread() or anything else
08 Aug 2003 Increased 2311 Alt Cyl count from 2 to 3 - Ivan Warren
07 Aug 2003 Codepage extensions (iconv) - Jan Jaeger
05 Aug 2003 Dynamic loadable device support - Jan Jaeger
01 Aug 2003 Created RELEASE.NOTES member - Fish
01 Aug 2003 Added Hercules VERSION to dyngui - Fish
01 Aug 2003 Various OMA tape processing fixes - Ivan Warren
29 Jul 2003 Fix shared device open to not set `connecting' bit on
            until after parameter verification - Greg Smith
26 Jul 2003 Minor change to codepage conversion logic - Jan Jaeger
21 Jul 2003 CVD fix by Viktor Shkamerda - Jan Jaeger
20 Jul 2003 Defer tuntap32 dll load to device alloc - Jan Jaeger
19 Jul 2003 THDER,THDR instructions - Roger Bowler
18 Jul 2003 NLS translation updates - Jan Jaeger
18 Jul 2003 Fix bug in config.c causing segfault on lcs devices - Fish
18 Jul 2003 Fix race conditions in console detach/close - Jan Jaeger
17 Jul 2003 Allow address:port on CNSLPORT statement - Jan Jaeger
17 Jul 2003 make console threads high priority, remove trylock - Fish
17 Jul 2003 logger_init: 1) consistent stdxxx dup'ing,
            2) make logger_thread high priority - Fish
17 Jul 2003 Bugfix: destroy LOCK & COND in cache_destroy - Fish
16 Jul 2003 Allow specifying a native block device as an FBA
            * Linux only, <2Gb Only - Ivan Warren
15 Jul 2003 Fix s/370 testio race condition - Greg Smith as reported
            by Victor Shkamerda
14 Jul 2003 Fixes for compiler weirdness - Greg Smith
12 Jul 2003 Optimize HDL_FINDNXT call - Jan Jaeger
12 Jul 2003 Correct archmode check in cmpsc and featchk - Jan Jaeger
12 Jul 2003 Restructure service and facility features - Jan Jaeger
11 Jul 2003 Fix bogus HHCCT048E error message - Fish
11 Jul 2003 Fix "console: select: Bad file number" -- 2nd try - Fish
10 Jul 2003 fix tape label issue in hetinit.c & slib.c - Fish
10 Jul 2003 HFP Multiply-Add/Subtract Facility - Roger Bowler
09 Jul 2003 UC Only in status for CTL NO-OP on tape devices - Ivan Warren
09 Jul 2003 added check to configure.ac to ensure dynamic load support
            available if external-gui support requested on win32 - Fish
07 Jul 2003 configure.ac now correctly sets USE_DLLTOOL to false if
            OPTION_DYNAMIC_LOAD not possible (so dyninst/dyngui don't
            get built), and OPTION_DYNAMIC_LOAD and HDL_USE_LIBTOOL
            are now both handled automatically in configure.ac - Fish
07 Jul 2003 ECPS:VM config Statement and EVM panel command retired.
            both replaced with ECPSVM - Ivan Warren
07 Jul 2003 #undef OPTION_DYNAMIC_LOAD in featall.h if neither dlopen
            nor libtool is available - Fish
06 Jul 2003 LXR,LZER,LZDR,LZXR instructions - Roger Bowler
04 Jul 2003 Allow NUMCPU=0 - Jan Jaeger
03 Jul 2003 Long Displacement Facility - Roger Bowler
30 Jun 2003 Display all messages on shutdown - Jan Jaeger
30 Jun 2003 Removed incorrect locks in console attach/detach - Jan Jaeger
29 Jun 2003 Added shutdown logic - Jan Jaeger
28 Jun 2003 Fix "console: select: Bad file number" - Fish
28 Jun 2003 Updated hercinst.html with panel command info - Fish
28 Jun 2003 Loadable crypto support (US export regulations) - Jan Jaeger
27 Jun 2003 Allow unload reject in hdl final processing - Jan Jaeger
27 Jun 2003 Support dynamic loadable cgi routines - Jan Jaeger
27 Jun 2003 Panel.c + hsccmd.c: clear/reset screen before exiting - Fish
27 Jun 2003 Panel.c: 1) removed all external-gui logic, 2) long
            messages now wrap to the next screen line - Fish
27 Jun 2003 Fixed some "integer constant is too large for "long" type"
            warnings - Fish
27 Jun 2003 Added addt'l instructions/info to autogen.sh - Fish
27 Jun 2003 Added README.HDL to EXTRA_DIST in makefile.am - Fish
27 Jun 2003 Updated makefile.am to add Windows resource definitions
            to dyngui.dll - Fish
27 Jun 2003 Framework for ALS4 features - Roger Bowler
26 Jun 2003 Check for physical shared object when loading dll - Jan Jaeger
26 Jun 2003 Fix Win32 hdl case-sensitivity bug - Fish
26 Jun 2003 TT32 CTCI fixes: 1) fix ACCESS_VIOLATION caused by NULL ptr
            being returned by 'tt32_get_default_iface', 2) 'tt32stats_cmd'
            temporarily fixed by fixing bug in 'CTCI_Init' and adding temp
            workaround code to 'display_tt32_stats' function to work around
            bug in TunTap32.dll, 3) add some code to try and resolve bogus
            "HHCCT048E" message being issued at close/shutdown.
25 Jun 2003 shared device version/release checking - Greg Smith
25 Jun 2003 micro performance update in branch on condition - Bernard van der He
lm
25 Jun 2003 Fix unlikely but serious fthreads bug in wait_condition - Fish
25 Jun 2003 Move external gui logic from panel_display to dyngui.c, and
            modify build process (makefile.am) to automatically build
            new dyngui.dll (and dyninst.dll too) - Fish
25 Jun 2003 Add dyninst qualifier to dynamic instr. symbol names - Jan Jaeger
23 Jun 2003 Fix interrupt queue problem in haltio - Fish (by Greg Smith)
17 Jun 2003 dyninst now supports dynamic instruction update - Jan Jaeger
15 Jun 2003 Add dynamic module preloading - Jan Jaeger
15 Jun 2003 Add version and dependency checks to dynamic loader - Jan Jaeger
11 Jun 2003 More message numbers - Greg Smith
05 Jun 2003 Dynamic loader support - Jan Jaeger
05 Jun 2003 Preliminary substitution capabilities in config file.
            Substitution format is $(varname).
            Current vars are cuu,ccuu,CUU,CCUU - Ivan Warren
04 Jun 2003 Device number specification extension. Device numbers are now
            CUU or CUU-CUU or CUU.count or CUU,CUU or a combination
            of the above - Ivan Warren
01 Jun 2003 Updated hercconf.html page to include ECPS:VM,
            2703, 3410, 3490, 9347 D/T and explanation for
            2703 parameters - Ivan Warren
29 May 2003 Correction to diagnose 0 to use real address - Jan Jaeger
28 May 2003 Use unix sockets for localhost shared devices - Greg Smith
26 May 2003 Yet another round for channel.c locking - Greg Smith
26 May 2003 Fixes and performance enhancements for shared devices - Greg Smith
23 May 2003 Locate Block logic fix - Ivan Warren, Suggested by *Anonymous*
23 May 2003 Provide command response in DIAG 8 resp buffer - Ivan Warren
22 May 2003 Add CPUVERID config statement to set version code - Jan Jaeger
22 May 2003 Add DIAG8CMD config statement to enable diag 8 commands - Jan Jaeger
21 May 2003 Fix spec exception in LPSW on incorrect amode settings - Jan Jaeger
19 May 2003 Close all FDs before forking hercifc - Ivan Warren
18 May 2003 Fix incorrect amask in LPSW in 64 bit mode - Jan Jaeger
15 May 2003 Fixed cygwin regparm bug check bug in configure.ac:
            __attribute__ ((regparm(3))) in wrong place - Fish
15 May 2003 Created "destroy_lock" and "destroy_condition" macros;
            added support destroying locks/conds to fthreads - Fish
15 May 2003 Fixed impl.c so FishHang doesn't crash - Fish
14 May 2003 Update in cmpsc.c store_ch - Scott Blackledge/Bernard van der Helm
09 May 2003 Update dasdtab.c 3380 entries - Jesper by Greg Smith
05 May 2003 Write zeroes at end of file to increase its size if ftruncate
            doesn't work - Greg Smith, suggested by Andy Kane
05 May 2003 Meaningful error messages for invalid or unsupported parms
            to dasdinit - Greg Smith, suggested by John Summerfield
05 May 2003 Meaningful error messages for unconfigured compression - Greg Smith,
            suggestions by John McKown & Davud Booher
05 May 2003 Allow arbitrary number cckd cylinders - Greg Smith, suggested by
            Romain Capron
05 May 2003 Remove cckd zlib dependencies - Greg Smith, suggested by John Summer
field
28 Apr 2003 Changed 3270 Disconnect/Reconnect status presentation
            logic (should allow terminal disc/recon on MVS) - Ivan Warren
24 Apr 2003 Set PGID/Sense PGID/Assign/Unassign Corr to Tape Devices
            (fixes device Boxing when varied on twice) - Ivan Warren
23 Apr 2003 Shared devices fixes - Greg Smith
19 Apr 2003 Shared devices - Greg Smith
18 Apr 2003 270X Poll CCW Implementation - Ivan Warren
16 Apr 2003 Rework channel.c serialization - Greg Smith
16 Apr 2003 memrchr.[ch] added for Cygwin - Volker Bandke
15 Apr 2003 LCTL VM Assist - Ivan Warren
10 Apr 2003 DISP0/DISP1/DISP2 CP Assists - Ivan Warren
05 Apr 2003 Virtual Timer Assist - Ivan Warren
04 Apr 2003 Return IntReq on Card Read unsolicited Sense when
            the card reader is empty - Ivan Warren
03 Apr 2003 ECPS:VM SSM Correction, panel command rework (evm)
            and conditional debug messages - Ivan Warren
02 Apr 2003 Reordered int/dev locks in channel handler
            to avoid race conditions in certain situations - Ivan Warren
29 Mar 2003 Addl VM Assist support : SVC + SSM VM Assists
            new evmstat panel command
            No Timer Assist (do #CP SET ASSIST ON NOTMR) - Ivan Warren
27 Mar 2003 Initial minimal CPASSIST ECPS:VM/370 support - Ivan Warren
26 Mar 2003 Fix cckd locking problems, esp. during sf- and sfc - Greg Smith
26 Mar 2003 CKD now uses the same shared cache as cckd - Greg Smith
26 Mar 2003 Divorced cache management code from cckd code - Greg Smith
21 Mar 2003 BSC/2703 Line emulation - Ivan Warren
20 Mar 2003 Rework system logger functions - Jan Jaeger
19 Mar 2003 Tape : Present DE on IntReq for non-data motion CCWs
            Added deonirq=0|1 for 3410/3420 tapes in relation with MVS 3.8j
            issues - Ivan Warren
14 Mar 2003 Increased tbuf in het_write due specs compress2 - Bernard van der He
lm
13 Mar 2003 Tape support update - see README.TAPE - Ivan Warren
13 Mar 2003 Call build_config even if NO_SIGABEND_HANDLER is defined - Ivan Warr
en
13 Mar 2003 Define extgui in dasdseq for Windows build - Ivan Warren
13 Mar 2003 AEA invalidation reduction - Greg Smith
13 Mar 2003 Gabor performance patch - optimize AEA invalidation - Greg Smith
13 Mar 2003 detab dasdseq.c - Jim Morrison
13 Mar 2003 New dasdseq.c and man/dasdseq.1 - Jim Morrison
10 Mar 2003 New man/cckddiag.1 manpage - Jim Morrison
10 Mar 2003 New man/Makefile.am (manpage support) - Jim Morrison
10 Mar 2003 New man/cckd.4 manpage - Jim Morrison
08 Mar 2003 Remove panel/socketdevice dependency - Jan Jaeger
08 Mar 2003 Increased tape max blk sz to 64K-1 in hercules for
            DFDSS support - Ivan Warren
08 Mar 2003 Increased max block size to 64k-1 for tapecopy - Ivan Warren
08 Mar 2003 Set Byte 1 Bit 3 on IntReq for D/T 3505 to prevent
            Reader tasks from dying and filling ERDS + set
            sense size to 4 - Ivan Warren
08 Mar 2003 correct decomptrk() no-compression cckddiag - Jim Morrison
07 Mar 2003 correct cckddiag build for Win - Jim Morrison
06 Mar 2003 Add cckddiag to build - Jim Morrison
06 Mar 2003 Relax numl1tab check - Greg Smith
03 Mar 2003 New cckddiag command; CCKD diagnostic tool - Jim Morrison
03 Mar 2003 Relax CCKD track validation algorithm - Ivan Warren
02 Mar 2003 Set ref and change bits on store status - Jan Jaeger
01 Mar 2003 IA32 assemler reduction - Greg Smith
01 Mar 2003 Remove dead code - Greg Smith
01 Mar 2003 Fix to cckdload - somitcw (by Greg)
01 Mar 2003 More SMP fixes - Greg Smith
01 Mar 2003 Fix configuration parser error - Ivan Warren
27 Feb 2003 3390 jumbo (-27) definition - Adam Thornton (by Greg)
26 Feb 2003 Add util/cvslvlck cvs level check by Jim Morrison
26 Feb 2003 Add Signal Adapter instruction - Jan Jaeger
20 Feb 2003 FBA devtype update + script command support - Ivan Warren (by Greg)
08 Feb 2003 Fix dasdload message verbosity test (was backwards) - Jay
            Maynard
08 Feb 2003 Fix eof/intrq mode saving in card reader initialization, add *
            to specify no file loaded - Jay Maynard
04 Feb 2003 Fix to dasdutil.c convert_tt - Jim Morrison (by Greg)
04 Feb 2003 Correct condition code on SLB instructions - Jan Jaeger
01 Feb 2003 Add changes for Mac OS X support - Paul Scott
01 Feb 2003 Fix dasdinit wrong trk 0 size - Greg Smith + sidmuc
31 Jan 2003 Command reject if path assignment is not supported (non-3480
            ASSIGN/UNASSIGN CCW opcodes 0xB7 & 0xC7 only in tapedev.c)
            imhotepio <freige@fibertel.com.ar> [freige@fibertel.com.ar]
            by Fish
28 Jan 2003 Obtain intlock during all psw loads - Greg Smith
27 Jan 2003 TS might not set byte to 0xff - Greg Smith
24 Jan 2003 Disable syncio for fba due to problems - Greg Smith + Ivan
22 Jan 2003 Flush updated active cache entry if no active i/o - Greg Smith + Iva
n
22 Jan 2003 SMP updates - Greg Smith
22 Jan 2003 Fix for regparm attribute problem - Greg Smith
14 Jan 2003 relax stress write and readahead criteria - Greg Smith
12 Jan 2003 select() kludge for win32 for high cpu - Greg Smith
10 Jan 2003 Display a reasonable error message if a track image
            is probably compressed using a locally unsupported
            compression algorithm (such as bzip2) - Greg Smith
09 Jan 2003 Require `-f' option for cckdcdsk & cckdcomp if
            file has OPENED bit on - Greg Smith
09 Jan 2003 Correct & enable DAS for S/370 - Jan Jaeger
08 Jan 2003 Add dummy fix page S/370 MVS assist - Jan Jaeger
07 Jan 2003 Updated cckd utilities (cckddump & cckdload) - Greg Smith
07 Jan 2003 Fix/recover possible cckd corruption - Greg Smith
07 Jan 2003 Add Region Relocate, I/O- External- and Wait-assists - Jan Jaeger
06 Jan 2003 delay exit in config.c to give time to display message - Fish
06 Jan 2003 minor changes to tapedev.c read_omadesc function - John
            Summerfield
06 Jan 2003 Pre-init residual to zero in tapedev execute_ccw -
            freige@fibertel.com.ar by Fish
06 Jan 2003 Fix to 'unbind_device' to remove listening socket from panel
            thread's select list before closing it. - Fish
04 Jan 2003 CTCI_Init (ctc_ctci.c): malloc working CTCBLK to work around
            gcc 3.x bug caused by large vars allocated on stack - Fish
03 Jan 2003 Fix fthreads to behave as pthreads does regarding return codes
            (conform to SUS (Single UNIX Specification) rather than DCE
            (Distributed Computing Environment) semantics; affected CTCI
            logic's 'timed_wait_condition' return code tests) - Fish
03 Jan 2003 Added ARCHMODE to other "IPL failure" messages too - Fish
27 Dec 2002 Added comprehensive details to README.CVS document - Fish
27 Dec 2002 Fix bug ctc logic to accept MAC addr in lieu of IP addr - Fish
27 Dec 2002 Fix warning about IFC_IOCtl in tuntap.c - Fish
27 Dec 2002 obtain_lock not needed to signal_condition in ctc logic - Fish
27 Dec 2002 Use sched_yield (not usleep) if can't enqueue ctc frame - Fish
27 Dec 2002 Rewrote ParseMAC function to fix subtle bug - Fish
27 Dec 2002 Fixed tt32stats command to work with new LCS CTC logic - Fish
27 Dec 2002 Un-tabbed ctc source modules - Fish
15 Dec 2002 Renumbered messages in printer.c and console.c - Jay Maynard
15 Dec 2002 Streamlining Windows build processing, add P4 support - Volker Bandk
e
12 Dec 2002 Main storage addressing cleanup - Jan Jaeger
09 Dec 2002 Fix windows comiple errors in hsccmd.c - Jim Pierson
05 Dec 2002 Various fixes and roll back of 30/6 performance mods - Jan Jaeger
26 Nov 2002 Missing devtype.c FBA entries - Greg Smith and Ivan
23 Nov 2002 Remove cckd/het zlib dependency - Greg Smith
16 Nov 2002 Add MVCLU and CLCLU instructions - Jan Jaeger
16 Nov 2002 Add TROO, TROT, TRTO and TRTT instructions - Jan Jaeger
15 Nov 2002 Add extended translation facility 2 to ESA/390 mode - Jan Jaeger
14 Nov 2002 Corrections to opcode table and disassembler - Jan Jaeger
14 Nov 2002 New CTC and LCS emulation - Jim Pierson
14 Nov 2002 Add SVCA to z/Architecture mode - Jan Jaeger
07 Nov 2002 Correct execution controls - Jan Jaeger
29 Oct 2002 Make card reader eof/intrq parameter persistent - Jay Maynard
29 Oct 2002 Correct devinit command to work when only one argument is given -
            Jay Maynard
29 Oct 2002 Ignore 7-track mode set commands for tape drives - Andy Norrie
27 Oct 2002 Fix dasdisup to accept one argument - Jay Maynard
13 Oct 2002 64bit cmpsc fixes - Bernard van der Helm
12 Oct 2002 CKD fix when offset >= 2G - Greg Smith
03 Okt 2002 PER fixes - Jan Jaeger
01 Okt 2002 Fix for SSK/ISK/RRB - Juergen Dobrinski
19 Sep 2002 Fix cckd thrash for large fragmentations - Greg Smith
19 Sep 2002 Fix console.c to wait for initdone to listen - Greg Smith
30 Aug 2002 Fix MVCL to update regs prior to possible program check - Greg
            Smith
26 Aug 2002 Added "noprompt" option to turn off input prompting for 1052/3215
            consoles - Jay Maynard
25 Aug 2002 Fix cckd free space chain corruption when freeing space
            for a `type 1' null track - Greg Smith & Volker Bandke
08 Aug 2002 Increased cckd shutdown serialization - Greg Smith
08 Aug 2002 Add 'Send" button in syslog cgi - Adam Thornton by Jan Jaeger
08 Aug 2002 AEA invalidation performance enhancement - Gabor Hofi by Greg Smith
03 Aug 2002 Fix dasdload to ignore comments in CBT XMIT files - Roger Bowler
03 Aug 2002 Change automagic to make NLS support work - Volker Bandke
30 Jul 2002 Compressed dasd tweaks - Greg Smith
26 Jul 2002 Compressed dasd enhanced free pending processing - Greg Smith
22 Jul 2002 Performance tweaks - Gabor Hofi & Greg Smith
22 Jul 2002 cckd options `nofsync' and `fsyncwa' - Greg Smith
21 Jul 2002 Update ieee-w32.h to compile under current Cygwin - Greg Smith
19 Jul 2002 Fix to cpu utilization percentage - Greg Smith
17 Jul 2002 New utility dasdcopy.c; replaces ckd2cckd and cckd2ckd and
            adds fba2cfba and cfba2fba function - Greg Smith
16 Jul 2002 New 'hmccmds.c' source module #included by 'panel.c'. - Fish
14 Jul 2002 UNTABBED all .c/.h source files (NO EMBEDDED TABS, please!) - Fish
14 Jul 2002 ** MAJOR CLEANUP ** Added -W compile option to see ALL warnings and
            corrected most signed/unisgned and unreferenced warnings; only
            'ckddasd', 'cckddasd' and 'cckdutil' remain to be cleaned up - Fish
13 Jul 2002 Fix dasdutil.c to correctly detecte write error in
            created_ckd_file - Volker Bandke
11 Jul 2002 File integrity fixes for compressed dasd - Greg Smith
11 Jul 2002 New optional HTTPROOT control file statement - Fish
09 Jul 2002 Minor fix to OPTION_CPU_UTILIZATION to fix FISH_HANG issue - Fish
02 Jul 2002 CTC fix for TurboLinux bug - Jim Pierson
02 Jul 2002 3287 printer support via TN3270 - Tomas Masek
02 Jul 2002 S/370 extended memory fixes - Tomas Masek
02 Jul 2002 Fixes to ckdtab in dasdtab.c - Greg Smith
02 Jul 2002 Correct Erase All Unprotected 3270 order - Tomas Fott
01 Jul 2002 Complete IPL function in web interface - Jan Jaeger
30 Jun 2002 Fix minor "inet_ntoa" bug in 'connect_client' function
            reported by Mark Gaubatz [Mark.Gaubatz@verizon.net] - Fish
30 Jun 2002 Fix some minor issues relating to tape device handling contributed
            by hackules (http://www.geocities.com/hackules390/): - Fish
            h31: Fixes a problem with HET tapes on CD.
            h23: A minor fix to tapedev that corrects the setting of the chunk
                 size for HET files.
            h09: Fixes a small bug in tapedev.c where a backspace file operation
                 could muck up position info if already positioned at the start
                 of the file.
30 Jun 2002 Calculate percent CPU utilization - Fish
29 Jun 2002 Gabor Hoffer performance patch: part 3 - Fish
27 Jun 2002 Fix validation intercept when no S/370 mode installed - Jan Jaeger
27 Jun 2002 Fix scpinfo CHSC bit - Jan Jaeger
27 Jun 2002 Remove MVCL overlap logging - Jan Jaeger
27 Jun 2002 Fix operand access id - Jan Jaeger
27 Jun 2002 Fix keyaccess on PGOUT - Jan Jaeger
23 Jun 2002 Fix for `no shadow file name' messages - Greg Smith
23 Jun 2002 Gabor Hoffer's performance patch: parts 1 & 2 -- Fish
23 Jun 2002 Fixes/enhancements for cckd chkdsk - Greg Smith
20 Jun 2002 Fix arch mode id in store status function - Jan Jaeger
19 Jun 2002 Set manufacterer to HRC for STSI - Jan Jaeger
18 Jun 2002 FBA dasdtab updates - Tomas Masek by Greg Smith
18 Jun 2002 Fix NRF condition for CKD dasd - Greg Smith
17 Jun 2002 Fix segmentation fault during cckd compress - Greg Smith
15 Jun 2002 configure.ac: Cygwin stack bug workaround - Matt and Fish
15 Jun 2002 cfba chkdsk fix - Greg Smith
15 Jun 2002 ckd internal trace support - Greg Smith
14 Jun 2002 Remove cfba debugs - Greg Smith
14 Jun 2002 Set `more' if residual data after fba write - Tomas Masek by Greg Sm
ith
13 Jun 2002 Another cfba fix (segmentation fault after detach while trace active
) - Greg Smith
13 Jun 2002 READ BACKWARD support for tapes added - Volker Bandke (Original patc
h: Hax 28 by Hackules)
12 Jun 2002 cfba/cckd/ckd fixes - Greg Smith
05 Jun 2002 Increase 3270 buffer to 64K as adding IAC bytes may cause overflow -
 Jan Jaeger
02 Jun 2002 Created "hercnls.h" module and fixed some typos/warnings - Fish
30 May 2002 Preliminary cfba (compressed fba) support - Greg Smith
30 May 2002 Various dasd fixes - Greg Smith
24 May 2002 Fixes for the cckd updates - Greg Smith
18 May 2002 More updates for cckd - Greg Smith
15 May 2002 Fix for MVPG problem as reported by Guy Przytula - Jan Jaeger
14 May 2002 Updates for cckd - Greg Smith
14 May 2002 Fix S/370 timer problem - Valery Pogonchenko
13 May 2002 NLS support for cckd utilities - Jan Jaeger
11 May 2002 NLS support - Jan Jaeger
08 May 2002 Fixes for 3350 dasdload - Greg Smith
08 May 2002 CodePage converion table 850/273 - Gerd Petermann
05 May 2002 Add some NLS definitions - Jan Jaeger
05 May 2002 Merge Debian patch to ckd2cckd.c to permit compilation with
            gcc 3.0, where printf may be a macro - Matt Zimmerman
04 May 2002 Fix panel.c attach command bug identified by Kris Van Hees
            since no on else has yet - Fish
01 May 2002 3390-9 and large file support - Greg Smith
01 May 2002 CodePage support - Jan Jaeger
29 Apr 2002 Fix fthreads "trylock" for REAL this time - Fish
29 Apr 2002 Create console thread dynamically - Jan Jaeger
25 Apr 2002 Hot fix for fthreads "trylock" oversight - Fish
21 Apr 2002 Fix various backwards merge problems with cckd - Greg Smith
19 Apr 2002 Fix cckdcdsk return code bug - Fish
18 Apr 2002 Disable syncio retry during IPL - Greg Smith
15 Apr 2002 IEEE floating point (attempt) for Win32 - Greg Smith
13 Apr 2002 Add description to ctci-w32 error message (w32ctca) - Fish
13 Apr 2002 Fix bug in w32chan "devtmax" logic (TrimDeviceThreads) - Fish
13 Apr 2002 Fix some benign warnings - Fish
13 Apr 2002 Move RC file processing to a separate thread - Fish
12 Apr 2002 Fix TRAP storing incorrect PSW in trap save area - Jan Jaeger
12 Apr 2002 Fix false specification exception in RP (64bit only) - Jan Jaeger
11 Apr 2002 Build device type table and device handler tables - Jan Jaeger
08 Apr 2002 Remove cckd garbage collection messages - Greg Smith
08 Apr 2002 "&comments on|off" logic deleted; '*' now "talking" comments,
            '#' now silent comments (per Willem's suggestion). - Fish
08 Apr 2002 (RESCINDED): display_version via stdout instead of stderr;
            set stdout/stderr to unbuffered (if externalgui) instead - Fish
08 Apr 2002 RC file handling: 1) new 'pause nnn' .rc-file-only command
            to sleep for 1-999 seconds, 2) accept and display comments
            from either the keyboard or the .rc file, 3) control .rc file
            comments logging via new "&comments on|off" .rc-file-command,
            4) use buffered "fgets" call to read .rc file for efficiency,
            5) silently ignore CR's in .rc file for Windows compatibility,
            6) prefix logged commands from .rc file with "> ". -- Fish
08 Apr 2002 parse_args (config.c): 1) not EXTERNALGUI dependent,
            2) support embedded quoted strings (sf="path") - Fish
08 Apr 2002 Update message buffer in exgui mode - Jan Jaeger
05 Apr 2002 Support cookies to save settings - Jan Jaeger
02 Apr 2002 hercload.html updated for cckd utility support - Greg Smith
28 Mar 2002 HTTP server - Jan Jaeger
24 Mar 2002 Fix ADRFMT definition in cmspc.c - Bernard van der Helm
21 Mar 2002 Fix MVPG so it works with Expanded Storage - Paul Leisy
20 Mar 2002 Sequential files now supported by dasdload.c - Greg Smith
17 Mar 2002 Fix Read-Configuration-Data and Sense-ID CIW - Greg Smith
17 Mar 2002 Common DASD tables (dasdtab.c & dasdtab.h) - Greg Smith
17 Mar 2002 DASD utilities cckd support - Greg Smith
16 Mar 2002 Fixed benign warnings in ctcadpt.c & un-tabbed file - Fish
15 Mar 2002 Fixed automagic for building standalone dasd utilities - Volker Band
ke
09 Mar 2002 Lan Channel Station (LCS) support
09 Mar 2002 Initial cckd dasd utilities support - Greg Smith
07 Mar 2002 More service signal updates for AO support - Jan Jaeger
05 Mar 2002 Add test_lock macro and enhance ipending
            command with lock status on various locks - Jan Jaeger
05 Mar 2002 Merge sigpbusy into sigplock - Jan Jaeger
05 Mar 2002 Allow print to pipe for Win32 (future print spooling) - Fish
05 Mar 2002 Fix print to pipe bug so broken pipe is detected - Fish
05 Mar 2002 stop/start printer support - Fish
04 Mar 2002 Fix load_hmc() with null filename - Jan Jaeger
04 Mar 2002 Support composite service signals - Jan Jaeger
03 Mar 2002 Remove ckd and cckd sysblk dependencies in prep for
            cckd dasd utility support - Greg Smith
02 Mar 2002 Display version info via stdout instead of stderr - Fish
02 Mar 2002 Added #include <sched.h> to hercules.h and some #ifdefs
            in a few places to fix some compiler warnings, and fixed
            a few minor typos here and there - Fish
02 Mar 2002 external gui support to dasdcat - Fish
01 Mar 2002 Fix and simplify cckd chkdsk default processing - Greg Smith
01 Mar 2002 Fix priority of PIC 13 for PT - Paul Leisy
01 Mar 2002 Fix cancel_subchan if OPTION_FISHIO - Greg Smith
28 Feb 2002 Allow for cr/lf in 3215 code and change ebcdic to ascii
            convertion table entry x'15' from x'b4' to x'0a' - Jan Jaeger
26 Feb 2002 `sf-xxx nomerge' rebuilds current shadow file if previous
            file is `read-only' - Greg Smith
26 Feb 2002 Set ILC=4 when an EX with PER is to an SVC - Paul Leisy
26 Feb 2002 Fix RP so it doesn't Space Switch in REAL mode - Paul Leisy
26 Feb 2002 Fix TRAP in GUEST so Change Bit not set on PIC 04 - Paul Leisy
25 Feb 2002 Don't signal CLKC/CPT interrupts if already pending - Greg Smith
24 Feb 2002 XSCH now removes i/o requests from the i/o queue - Jan Jaeger
24 Feb 2002 Fixes for CLMH, LCTLG and CVBG - Jan Jaeger
24 Feb 2002 Updates for cckd - Greg Smith
22 Feb 2002 IODELAY defaults to `800' if `OSTAILOR LINUX' - Greg Smith
22 Feb 2002 IODELAY kludge for linux - Greg Smith
22 Feb 2002 Allow comments in hercules.rc file (start with #) - Paul Leisy
22 Feb 2002 Correct BFP behavior in GUEST mode - Paul Leisy
22 Feb 2002 Fix missing PER in GUEST mode when HOST rupt icept - Paul Leisy
20 Feb 2002 Print to pipe - Roger Bowler
19 Feb 2002 Fix pending interrupts on other cpus channelset - Jan Jaeger
15 Feb 2002 Fix interval timer state retention - Jan Jaeger
13 Feb 2002 Fix TS intercept test - Paul Leisy
13 Feb 2002 Fix TXA for HOST PIC 04 fault on GUEST stack access - Paul Leisy
13 Feb 2002 Throw out Store PER when merged with null/supr rupts - Paul Leisy
13 Feb 2002 Make CS, CDS, CSP behave consistently: always store - Paul Leisy
11 Feb 2002 ISK, SSK missing 2k/4k check in 370 native - Paul Leisy
11 Feb 2002 Fix SIGP Initial Program Reset (S/370) - Jan Jaeger
08 Feb 2002 Fix RRB in 370 guest - Paul Leisy
06 Feb 2002 Fix cckdcdsk space/recovery/gap table malloc() - Greg Smith
05 Feb 2002 dasdinit utility support for specifying alternate cylinders - Fish
05 Feb 2002 dasdinit utility support for most every device type - Fish
05 Feb 2002 Asm assists for memory synchronization - Greg Smith
04 Feb 2002 Fix Ifetch PER flag in State Desc, Fix LCTL intercepts - Paul Leisy
04 Feb 2002 Fix very minor memory leaks in sockdev logic - Fish
03 Feb 2002 Close hercules configuration file after processing - Volker Bandke
03 Feb 2002 Added PGMPRDOS config parameter - Jay Maynard
03 Feb 2002 Performance tweaks - Greg Smith
01 Feb 2002 CTCI-W32 (Win32 CTCA protocol using WinPcap) - Fish
31 Jan 2002 Fix PER in guest for OPTION_CPU_UNROLL - Paul Leisy
30 Jan 2002 Fix SIE validity checks and intercepts - Paul Leisy
29 Jan 2002 Fix pending I/O interrupt when enabling I/O subclass - Jan Jaeger
28 Jan 2002 PER fix for BCTR and move #endif for FEATURE_PER2 - Paul Leisy
27 Jan 2002 Documentation updates for TCP/IP and Socket Readers - Roger Bowler
25 Jan 2002 Include Malcolm Beattie's dasdcat program - Roger Bowler
25 Jan 2002 More PER fixes for PR and addr wrap fix for MVCL - Paul Leisy
24 Jan 2002 PER fixes for PR and MVCL - Paul Leisy
20 Jan 2002 dasdinit can now create a cckd file - Greg Smith
17 Jan 2002 Add PER storage checks for TRAP accesses - Paul Leisy
17 Jan 2002 Fix PER rupt TEA for PC, PR and PT - Paul Leisy
16 Jan 2002 Synchronous I/O fixes - Greg Smith
15 Jan 2002 Add PER checks to MVCL - Paul Leisy
14 Jan 2002 Device subclass priority (try #1) - Greg Smith
14 Jan 2002 Improve cckd initialization time - Greg Smith
11 Jan 2002 Gabor Hoffers performance updates
11 Jan 2002 Fix ifetch performance so it works with PER - Juergen Dobrinski
06 Jan 2002 CMPSC kludge for Cygwin gcc faulty linkage - Greg Smith
05 Jan 2002 Make sure that {fthreads,w32chan}.c go into dist - Matt Zimmerman
02 Jan 2002 Change store of percode in PSA to use realregs->perc - Paul Leisy
02 Jan 2002 Fix stack and BCT per checks - Paul Leisy
02 Jan 2002 Don't set STORE PER when operand specified as REAL - Paul Leisy
30 Dec 2001 Fix for cckd and big-endian - Greg Smith
23 Dec 2001 OPTION_LPP_RESTRICT - Jan Jaeger
23 Dec 2001 Selective ArchMode build options - Jan Jaeger
18 Dec 2001 Make sure PC, PR, PT state switch when pending PER - Paul Leisy
18 Dec 2001 Fix up ILC for PR when PER interrupt - Paul Leisy
18 Dec 2001 Zero STD ID part of PER code for STURA - Paul Leisy
18 Dec 2001 For SSM, LPSW, purge Herc Op cache when PER bit on - Paul Leisy
18 Dec 2001 Move PERAID update to store accesses only - Paul Leisy
18 Dec 2001 Fix trace entry for BSG - Paul Leisy
18 Dec 2001 Add Branch PER check to BCT - Paul Leisy
18 Dec 2001 Add Store PER check to Stack accesses - Paul Leisy
18 Dec 2001 Check odd IA before IFetch PER - Paul Leisy
16 Dec 2001 Do not process PER in native BC mode - Jan Jaeger
16 Dec 2001 Correct PER for S/370 under SIE - Jan Jaeger
16 Dec 2001 Add missing obtain intlock to sie.c - Greg Smith
16 Dec 2001 Add channel set switching feature - Jan Jaeger
16 Dec 2001 Complete MP for S/370 - Jan Jaeger
14 Dec 2001 Fix BSM instruction for z/OS - Greg Smith
12 Dec 2001 Correct SIE intercept with concurrent PER indication - Jan Jaeger
09 Dec 2001 SIE PER enhancements - Jan Jaeger
06 Dec 2001 Basic PER implemention - Jan Jaeger
05 Dec 2001 Corrected ref and change bits on loadtext - Jan Jaeger
04 Dec 2001 Rewrite of trace including full 64 bit support - Jan Jaeger
28 Nov 2001 Reset device status in device_reset() for ckd dev - Jan Jaeger
28 Nov 2001 Alignment fixes for SPARC64 - Matt Zimmerman
28 Nov 2001 Bypass syncio if track overflow or data chaining - Valery
            Pogonchenko
28 Nov 2001 Remove SIGHUP usage - Jan Jaeger
28 Nov 2001 Fix interval timer - Jan Jaeger
28 Nov 2001 Fix unintended exit when CPU 0 is deconfigured - Matt Zimmerman
22 Nov 2001 Cancel Subchannel (XSCH) function and instruction - Jan Jaeger
21 Nov 2001 OPTION_SYNCIO *is* compatible with OPTION_FISHIO - Greg Smith
18 Nov 2001 Synchronous I/O - Greg Smith
18 Nov 2001 Add OPTION_IODELAY to bypass linux/zseries bug - Jan Jaeger
18 Nov 2001 Change OSTAILOR LINUX to reflect IEEE support - Jan Jaeger
18 Nov 2001 Add LCEBR/LCDBR/LCXBR IEEE float instructions - Jan Jaeger
16 Nov 2001 Reduce timer.c pthreads calls and logic isolation - Greg Smith
16 Nov 2001 Correct storage keys after ipl from cdrom - Jan Jaeger
16 Nov 2001 Added savecore command - Jan Jaeger
15 Nov 2001 RCHP and SCHM fixes for PIC 15 - Paul Leisy
13 Nov 2001 Fix MVPG so it gets PIC 04 when FPO on - Paul Leisy
13 Nov 2001 Fix CUSE when last byte is part of equality - Paul Leisy
13 Nov 2001 Fix halt and clear subchannel on CTC type devices - Jan Jaeger
13 Nov 2001 Fix logmsg macro to appear as a singular statement - Jan Jaeger
09 Nov 2001 Add HMC cdrom type IPL support - Jan Jaeger
09 Nov 2001 Fix hang in synchronize_broadcast - Greg Smith
09 Nov 2001 Make MODEL_DEPENDENT more specific with CS and STCM - Paul Leisy
08 Nov 2001 Correct/Remove OPTION_REDUCE_INVAL miss-spelling - Paul Leisy
05 Nov 2001 RP needs to INVALIDATE_AEA() since AR loaded - Paul Leisy
02 Nov 2001 Fix SQXR when iteration results are off by 1 - Paul Leisy
02 Nov 2001 Fix one IPTE bug by adding INVALIDATE_AxA() - Paul Leisy
31 Oct 2001 OPTION_FISHIO only if fthreads and not OPTION_SYNCIO - Fish
31 Oct 2001 'KillAllDeviceThreads' function disabled - Fish
31 Oct 2001 CTC Channel Command retry (contributed by Jim Pierson) - Fish
31 Oct 2001 Fix CFDR so overflow check done after rounding - Paul Leisy
31 Oct 2001 Fix MVCL so unused R1 and R2 bits zeroed - Paul Leisy
31 Oct 2001 Add "loadtext" panel command to load text decks - Paul Leisy
31 Oct 2001 Add "QUIET" ostailor option so all pgmtrace disabled - Paul Leisy
28 Oct 2001 Added WAKEUP_CPU call to stop/stopall commands in panel.c to
            fix "ipl rejected: All CPU's must be stopped" problem - Fish
28 Oct 2001 Various fixes to cardrdr.c - Fish
26 Oct 2001 Fix EX page cross, add INVALIDATA_AIA() - Juergen Dobrinski
25 Oct 2001 updated hercconf.html with new 'sockdev' reader option - Fish
25 Oct 2001 minor extgui tweak to better detect when cpu stopped - Fish
25 Oct 2001 rearranged DEVBLK structure (I hope it's better) - Fish
25 Oct 2001 sockdev no longer requires ascii only; ebcdic now ok - Fish
25 Oct 2001 Fix cardpch bug causing padding to fail on ebcdic o/p - Fish
25 Oct 2001 OPTION_BUFFERED_RDR rescinded/deprecated; using standard 'C'
            fread/getc, etc. instead (Thanks Matt & Willem) - Fish
22 Oct 2001 Fix another SQXR bug - Paul Leisy
17 Oct 2001 Big-endian support and endian conversion - Greg Smith
16 Oct 2001 OPTION_BUFFERED_RDR - Fish
16 Oct 2001 Hot Reader support (sockdev = socket devices) - Fish
            (mostly Malcolm Beattie's inspiration; implemented by me)
13 Oct 2001 synchronize_broadcast fix for SMP - Greg Smith
12 Oct 2001 Win32 fthreads (finally!) - Fish
11 Oct 2001 Remove Cygwin warnings displaying TID - Greg Smith
11 Oct 2001 SMP performance - phase 4 - I/O interrupt queue - Greg Smith
11 Oct 2001 cckd fixes - Greg Smith
11 Oct 2001 SMP performance - phase 3 - synchronize_broadcast enhanced -
            Greg Smith
11 Oct 2001 SMP performance - phase 2 - intcond for each CPU - Greg Smith
11 Oct 2001 SMP performance - phase 1 - remove usleep(1) by default from
            CS instructions - Greg Smith
10 Oct 2001 Define "signal_thread" macro as a 'nop' for WIN32 builds
10 Oct 2001 Add IS_CCW_SET_EXTENDED test to channel.c's write-ccw handling logic
            to fix a problem that was preventing TCP/IP in VM from working on
            CTC adapter devices (fix contributed by Kris Van Hees)
03 Oct 2001 Move INVALIDATE_AIA out of optimization - Juergen Dobrinski
02 Oct 2001 Fix MVPG to work in pageable guest - Paul Leisy
02 Oct 2001 Fix TRAP to work in pageable guest - Paul Leisy
28 Sep 2001 Fix MVCL bugs with new fast path code - Paul Leisy
28 Sep 2001 Restore change bit fixes to vstore.h - Paul Leisy
17 Sep 2001 Minor corrections to CEFR, CDFR, CXFR and MVPG - Jan Jaeger
13 Sep 2001 CXR setting wrong cc when fract=0 but char not - Paul Leisy
13 Sep 2001 Fix TRAP so page cross rupt does not set change bit - Paul Leisy
13 Sep 2001 MVPG missing TEA bit 29 and OP ACCESS ID on PIC 11 - Paul Leisy
13 Sep 2001 MVPG should report PIC 11 on Page Table Length violation - Paul Leis
y
13 Sep 2001 Fix BSG so ALET=1 is always treated as subspace - Paul Leisy
06 Sep 2001 Add FPO crossing checks to all storage fetches - Paul Leisy
06 Sep 2001 Fix RP so trace entry finished on PIC 1C - Paul Leisy
30 Aug 2001 Fix Change Bit in Key so on page crossers with rupt it's not set.
            Done by using new acctype ACCTYPE_WRITE_SKP - Paul Leisy
28 Aug 2001 Change FPR display so if BASIC FP EXTENSIONS all displayed - Paul Le
isy
28 Aug 2001 Change MVCLE cpu-determined length - Paul Leisy
26 Aug 2001 Added test for file-existance in cardrdr.c (code suggested by Richar
d Snow) - Volker Bandke
24 Aug 2001 Add optional address parm to loadcore panel command - Michael Ackers
on
23 Aug 2001 Fix general1.c so commented statements don't wrap to 2 lines - Paul
Leisy
23 Aug 2001 LXD missing PIC 06 when R1 not valid - Paul Leisy
23 Aug 2001 CFXR needs to test overflow after rounding - Paul Leisy
23 Aug 2001 BSG failed to set subspace active in DUCT - Paul Leisy
20 Aug 2001 LKPG setting wrong cc - Paul Leisy
20 Aug 2001 Just set cc when r1=r2 for CUSE - Paul Leisy
20 Aug 2001 CUUTF wrong cc when len1 = 0 and len2 = 1 - Paul Leisy
20 Aug 2001 Fix SQXR div by 0 and others and SQDR hang - Paul Leisy
20 Aug 2001 Fix RP so ILC is correct for PIC 1C - Paul Leisy
20 Aug 2001 PLO needs INVALIDATE_AEA() when in AR mode - Paul Leisy
20 Aug 2001 CLM should get access rupts if mask = 0 - Paul Leisy
20 Aug 2001 PC was missing PIC 13 - Paul Leisy
06 Aug 2001 Machine check/checkstop/malfunction alert support
            for host exception/loop/wait errors - Jan Jaeger
03 Aug 2001 Fix CLST condition code when 2nd op = end char - Paul Leisy
03 Aug 2001 LCXR was not making true zero - Paul Leisy
03 Aug 2001 Fix BSG so excarid is correct on PIC 2B - Paul Leisy
03 Aug 2001 Fix TRAP so TEA bit 29 not set on key prot - Paul Leisy
03 Aug 2001 RP missing AND with ADDRESS_MAXWRAP - Paul Leisy
03 Aug 2001 CVB missing AND with ADDRESS_MAXWRAP - Paul Leisy
01 Aug 2001 PLO not saving ALET from parm list in AR when zero - Paul Leisy
01 Aug 2001 Fix CUTFU condition code when len1 = 0 - Paul Leisy
01 Aug 2001 Add stor-prot-override to TRAP accesses - Paul Leisy
01 Aug 2001 Fix CE and CDR cc when fraction is zero - Paul Leisy
01 Aug 2001 Change cpu-determined number for SRST - Paul Leisy
27 Jul 2001 BSA missing INVALIDATA_AEA, not ANDing CR3 - Paul Leisy
27 Jul 2001 TRAP missing key-ctl protection - Paul Leisy
24 Jul 2001 Add CPUPRIO config statement - Jan Jaeger
24 Jul 2001 Add SETMODE setuid support - Jan Jaeger
23 Jul 2001 RP not making trace entry - Paul Leisy
23 Jul 2001 TRAP not making trace entry - Paul Leisy
23 Jul 2001 Fix ILC when PR gets PIC 1C - Paul Leisy
23 Jul 2001 Change order of stores for PLO - Paul Leisy
23 Jul 2001 LCXR low order sign incorrect - Paul leisy
19 Jul 2001 Remove invalid guestpsw bypass fix - Jan Jaeger
17 Jul 2001 Fix BSA so PIC 16 does nullification - Paul Leisy
17 Jul 2001 Another fix to TRAP and page cross - Paul Leisy
17 Jul 2001 More fixes to CUTFU, CUUTF - Paul Leisy
13 Jul 2001 Correct excarid on MVPG PIC 04 - Paul Leisy
13 Jul 2001 Fix PR trace table entry - Paul Leisy
13 Jul 2001 CUTFU, CUUTF not setting cc=1 when len1=0 - Paul Leisy
13 Jul 2001 Further CMPSC fixes - Bernard van der Helm
12 Jul 2001 Fix CEFR when converting 0x80000000 - Paul leisy
12 Jul 2001 Fix BSG trace entry for 24bit mode - Paul Leisy
12 Jul 2001 Fix BSA so it traces when R2=0 - Paul Leisy
11 Jul 2001 "sh" shell command support for Win32 builds - Fish
11 Jul 2001 UPT fails to detect CC=3 condition - Paul Leisy
11 Jul 2001 Fix CXFR characteristic and LEXR shift amount - Paul Leisy
11 Jul 2001 Fix BSA load of CR3 and TAR wrong CC - Paul Leisy
10 Jul 2001 CUSE setting wrong cc & unused bits not cleared - Paul Leisy
10 Jul 2001 RP setting PROB bit in PSW - Paul Leisy
10 Jul 2001 BSG builds incorrect trace entry - Paul Leisy
10 Jul 2001 TRAP not set PRI mode, form_stack_entry miss PIC 04 - Paul Leisy
10 Jul 2001 switch PIC 07 and PIC 06 priority on MP - Paul Leisy
10 Jul 2001 EREG missing INVALIDATE_AEA - Paul Leisy
10 Jul 2001 PIC 04(ALE) and PIC 05(STE/PTE) wrong priority - Paul Leisy
10 Jul 2001 TRAP miss page cross and false PIC 04 - Paul Leisy
10 Jul 2001 CLCL missing gpr update on page cross rupt - Paul Leisy
10 Jul 2001 Make Assist ops use PRI addr in AR mode - Paul Leisy
10 Jul 2001 Load/Store psw use bits 24-31 - Paul Leisy
10 Jul 2001 Report PIC 06 on PR at end of inst - Paul Leisy
09 Jul 2001 Fix TRAP so it receives PIC13 in REAL - Paul Leisy
09 Jul 2001 Fix CUSE and MVST on page cross rupts - Paul Leisy
09 Jul 2001 Fix UPT so GPR5 updated after store - Paul Leisy
07 Jul 2001 Fix sporadic access violation at shutdown - Fish
05 Jul 2001 Restrict TODEPOCH to 1900, 1928, 1960, 1970, or 1988, and
            correct offset calculation - Michael Koehne
05 Jul 2001 Add unmount option to HET code - Michael Koehne
05 Jul 2001 Add quiet command to shut off status messages to panel - Michael
            Koehne
05 Jul 2001 Add ARCHMODE to HHC105I IPL failure message - Fish
05 Jul 2001 Add multifile parameter to card reader definition - Fish
05 Jul 2001 Increase panel command buffer length to 32K - Fish
21 Jun 2001 Add disassembly function - Jan Jaeger
20 Jun 2001 CMPSC armode fix - Bernard van der Helm
20 Jun 2001 CTCT CTC over TCP/IP support - Vic Cross
20 Jun 2001 Remove subchannel enabled check from console - Jan Jaeger
19 Jun 2001 Correct check for MVCL in different spaces - Jan Jaeger
19 Jun 2001 Prevent msg HHC611I during machine check - Jan Jaeger
19 Jun 2001 Enhance MVCL cc3 diagostics - Jan Jaeger
18 Jun 2001 Add missing obtain_lock(devlock) to halt function - Fish
18 Jun 2001 Reset channel path function - Jan Jaeger
17 Jun 2001 Address limit checking - Jan Jaeger
16 Jun 2001 Correctons to LPGFR/LNGFR/LCGFR - Jan Jaeger
16 Jun 2001 Fix index-symbol translation - Bernard van der Helm
16 Jun 2001 TLB implementation for z/Architecture - Jan Jaeger
15 Jun 2001 Fix interrupt key processing - Jan Jaeger
13 Jun 2001 Zero highbyte in 24 bit branch trace entry - Paul Leisy
13 Jun 2001 Correct attention processing on suspended devices - Jan Jaeger
13 Jun 2001 Clear DPS arrays during I/O reset - Jan Jaeger
13 Jun 2001 Fix false protection indication on MVPG - Paul Leisy
11 Jun 2001 Initialize conditions & locks earlier in init routine,
            including initializing cachelock (thanks Fish) - Greg Smith
11 Jun 2001 Correct excarid in ESAME mode - Jan Jaeger
10 Jun 2001 Correct tea on MVPG protection exception - Paul Leisy
10 Jun 2001 Correct halt subchannel function - Jan Jaeger
10 Jun 2001 Correct set pathgroup id ccw - Jan Jaeger
10 Jun 2001 Correct clear subchannel function - Jan Jaeger
09 Jun 2001 Fix CUTFU/CUUTF with zero op2 length - Paul Leisy
09 Jun 2001 Fix STSI condition code - Paul Leisy
09 Jun 2001 Add t+ckd/t-ckd ckd keytrace command - Valery Pogonchenko
03 Jun 2001 Fix TRAP save area access - Paul Leisy
03 Jun 2001 Fix priority of interruptions in stacking PC - Jan Jaeger
03 Jun 2001 Fix priority of interruptions in BAKR - Paul Leisy
03 Jun 2001 Fix typo in setting amode in BSA - Paul Leisy
02 Jun 2001 Moved IEEE option from featall.h to makefile.w32 - Jan Jaeger
02 Jun 2001 Correct tea on asx translation exception in PC - Paul Leisy
02 Jun 2001 Fix update of GR5 in UPT - Paul Leisy
01 Jun 2001 Clear effective and instruction address cache in BSG - Paul Leisy
01 Jun 2001 Correct TEA stid identification bits - Paul Leisy
31 May 2001 Correct TLB purging on SIE dispatch - Jan Jaeger
31 May 2001 IVSK SIE fix - Paul Leisy
30 May 2001 Added CHSC channel subsystem call instruction - Jan Jaeger
28 May 2001 Fix logic error in CPU interlocking - Jan Jaeger
28 May 2001 Wakeup waiting CPU when interrupt key is processed - Jan Jaeger
27 May 2001 Correct mainstorage interlocked update/reference - Jan Jaeger
26 May 2001 Add _REENTRANT and _THREAD_SAFE flags - Jan Jaeger
25 May 2001 Various multi processing and SIE fixes - Jan Jaeger
24 May 2001 Performance enhancements - Juergen Dobrinski
24 May 2001 Added CGEBR/CGDBR - Jan Jaeger
24 May 2001 Added CEGBR/CDGBR - Kris
23 May 2001 CKD 9345 support - Greg Smith
21 May 2001 Correct availability of N3 instructions in S/390 mode - Jan Jaeger
19 May 2001 Compression corrections - Bernard van der Helm
19 May 2001 Correct multiply/divide long - Jan Jaeger
19 May 2001 Correct RCP host address when nonzero MSO - Paul Leisy
18 May 2001 Correct CEFBR/CFEBR register use - Jan Jaeger
18 May 2001 Correct STOSM/STNSM interception - Paul Leisy
18 May 2001 Correct TRAP save area page crosser - Paul Leisy
18 May 2001 Correct operation exception interception - Paul Leisy
17 May 2001 Correct address wrap when SIE is interrupted - Jan Jaeger
17 May 2001 Correct specification exception interception - Jan Jaeger
16 May 2001 Correct CPU addr in PSA during external interrupts - Paul Leisy
15 May 2001 Correct STFL installed facility bit settings - Jan Jaeger
15 May 2001 Correct PR register update - Jan Jaeger
15 May 2001 Correct prefix storage key update in TPI - Jan Jaeger
15 May 2001 Correct TEA on STURA/LURA protection exception - Paul Leisy
09 May 2001 Correct TRT address wrap - Paul Leisy
08 May 2001 Fixes for RP instruction - Paul Leisy
08 May 2001 Fix gr15 in TRAP instruction - Paul Leisy
07 May 2001 CMPSC fix - Bernard van der Helm
07 May 2001 Correct false data exception in CVDG - Jan Jaeger
06 May 2001 Fix to Lock Page - Jan Jaeger
06 May 2001 Complete Storage Key Assist - Jan Jaeger
06 May 2001 Complete Move Page Facility 2 - Jan Jaeger
04 May 2001 Correct fbadasd.c syntax error - Greg Smith
04 May 2001 Correct RRB/RRBE rcpkey - Paul Leisy
03 May 2001 Try to open FBA emulated device readonly if open for
            readwrite failed.  Allows Linux/390 to be installed
            from cdrom - Greg Smith
03 May 2001 Allow `readonly' to be specified for shadowed ckd or cckd
            devices.  Base file will be opened O_RDONLY. - Greg Smith
03 May 2001 Enablement of ISKE/RRBE/SSKE in S/370 mode - Valery Pogonchenko
03 May 2001 Correction to oldpsw during ifetch - Jan Jaeger
30 Apr 2001 Correct SIE guest interrupt subclass enablement - Jan Jaeger
28 Apr 2001 Temporarily intercept move page (SIE) - Jan Jaeger
28 Apr 2001 Add move page to z/Arch - Jan Jaeger
28 Apr 2001 Fix RRBE RCP index error - Paul Leisy
27 Apr 2001 Fix STCM(G) with zero mask - Paul Leisy
26 Apr 2001 Change unsupported config statements erros to warnings - Jan Jaeger
26 Apr 2001 Correct old psw during ifetch exception - Paul Leisy
26 Apr 2001 Correct setting of fetch bit in SSKE under SIE - Paul Leisy
24 Apr 2001 Fixed ckd2cckd bug for multi-file ckd disks - Greg Smith
24 Apr 2001 Added error detection code to ckd2cckd and cckd2ckd - Greg Smith
24 Apr 2001 Fixed potential errors in cckd backwards merge (sf-) - Greg Smith
24 Apr 2001 Reduced CCKD_MAX_DFWQ_DEPTH to 8 for WIN32 otherwise 32 - Greg Smith
22 Apr 2001 cckd2ckd not stopping if -cyl specified - Greg Smith
22 Apr 2001 add ISKE, RRBE and SSKE to 370 mode  - Valery Pogonchenko
22 Apr 2001 ckd fix Read Count setting index marker - Valery Pogonchenko
22 Apr 2001 ckd fix processing multitrack read ops - Valery Pogonchenko
22 Apr 2001 cmpsc fixes for expansion - Greg Smith
22 Apr 2001 Correct prefix alignment for ESA/390
            guest in 64 bit mode SIE - Jan Jaeger
21 Apr 2001 Added support for muliple files in card reader
21 Apr 2001 Added support auto-padding of ebcdic files in card reader
21 Apr 2001 Added support for builtin tun driver of linux kernel 2.4.x
17 Apr 2001 Fix SSKE rcp guest ref and change bits - Paul Leisy
18 Apr 2001 Fix CPU TIMER interrupt processing - Jan Jaeger
17 Apr 2001 Device I/O thread throttling - Greg Smith & Fish
17 Apr 2001 Fix ISKE rcp index - Paul Leisy
16 Apr 2001 `-malign-double' removed from makefile - Greg Smith
16 Apr 2001 Read-track fix reintroduced after being deprecated - Greg Smith
16 Apr 2001 iobuf in channel.c is now malloc'ed to reduce out of
            memory errors under Cygwin - Greg Smith
16 Apr 2001 Reintroduced OPTION_NO_DEVICE_THREAD - Jan Jaeger
15 Apr 2001 featall.h: #define OPTION_NO_IEEE_SUPPORT for WIN32 builds
            (<fenv.h> has not been ported by CygWin yet)
13 Apr 2001 Correction to CVDG - Jan Jaeger
09 Apr 2001 Fix intlock access in clock and timer routines - Jan Jaeger
08 Apr 2001 Small optimization of vstore/vfetch - Jan Jaeger
08 Apr 2001 Correction to SIGP Set Architecture Mode - Jan Jaeger
08 Apr 2001 Small optimization of TPI - Jan Jaeger
08 Apr 2001 Correction to SCHM in 64 bit mode - Jan Jaeger
08 Apr 2001 Correction to TB in amode 64 - Jan Jaeger
06 Apr 2001 Read-track released dfwlock too soon when track found
            in dfw queue
04 Apr 2001 Sense/Set Path Group ID for DASD - Jan Jaeger
02 Apr 2001 Correction to register unstacking logic - Jan Jaeger
04 Apr 2001 #define MAX_DEVICE_THREAD_IDLE_SECS 300
02 Apr 2001 Fixed device_thread race condition in channel.c
02 Apr 2001 Added support for [Windows] External GUI
01 Apr 2001 Correction to Lock Page - Jan Jaeger
28 Mar 2001 Fix nullification problem in form_stack_entry - Jan Jaeger
27 Mar 2001 Fix exception access id in BSG - Jan Jaeger
27 Mar 2001 Fix exception access id during subspace replacement - Jan Jaeger
27 Mar 2001 Fix translation exception address in ESAME mode - Jan Jaeger
27 Mar 2001 Correction to ckd2cckd for small ckd files - Greg Smith
25 Mar 2001 Correction to LPQ/STPQ - Jan Jaeger
25 Mar 2001 Correction to MVCK/MVCP/MVCS - Jan Jaeger
25 Mar 2001 Dynamic device threads - Jan Jaeger
23 Mar 2001 Set `unit check' status when EOF CKD record read
            even if count field is zero - Greg Smith
23 Mar 2001 Bypass number of cylinder check in cckdcdsk.c - Greg Smith
22 Mar 2001 Implement XSTORE in ESAME mode - Jan Jaeger
22 Mar 2001 Implement fast interrupt processing for MCK and PER - Jan Jaeger
22 Mar 2001 Correct interruption identification word - Jan Jaeger
22 Mar 2001 Correct interrupt mask setting in LCTL/LTCLG - Jan Jaeger
22 Mar 2001 Correct SSM/STOSM spec exc in ESAME mode - Jan Jaeger
21 Mar 2001 Correct cache invalidation in PR - Greg Smith
20 Mar 2001 Correction to 64 bit SIGP initial_cpu_reset - Jan Jaeger
18 Mar 2001 Correction to stack types in ESAME mode - Jan Jaeger
18 Mar 2001 Correct LRA/LRAG segment table entry address on cc 3 - Jan Jaeger
18 Mar 2001 Correct address types in move char instructions - Jan Jaeger
18 Mar 2001 Correct subspace_replace address type - Jan Jaeger
16 Mar 2001 Fix to allow HET files to reside on read-only media - Leland Lucius
16 Mar 2001 Fix LPSW in ESAME mode - Jan Jaeger
15 Mar 2001 Compressed CKD utilities now tolerate VM weirdness - Greg Smith
15 Mar 2001 Alternate tracks for compressed CKD volumes - Greg Smith
15 Mar 2001 Utilities display versioning and copyright info - Greg Smith
15 Mar 2001 Invalidate AEA and AIA cache on SIE entry/exit - Jan Jaeger
15 Mar 2001 Present device end on terminating console session - Jan Jaeger
13 Mar 2001 Fix address types in assist/float/ieee instructions - Jan Jaeger
10 Mar 2001 Stop all CPU's in release_config - Jan Jaeger
10 Mar 2001 Fix CPU entering manual state on disabled wait - Jan Jaeger
10 Mar 2001 Various fixes to configurable features logic - Jan Jaeger
08 Mar 2001 Fix ESAME Add/Subtract/Multiply/Divide
            when both operands address same register - Jan Jaeger
07 Mar 2001 Correction to MLG/MLGR - Jan Jaeger
07 Mar 2001 Add sh panel command - Bernard van der Helm
07 Mar 2001 Add 9221 power-off diagnose - Jan Jaeger
05 Mar 2001 Correction to RP - Peter Stammbach
05 Mar 2001 Correction to DIAG204 - Jan Jaeger
05 Mar 2001 64 Bit fix to program_return_unstack - Jan Jaeger
05 Mar 2001 SIE corrections to EPSW and STFL - Jan Jaeger
05 Mar 2001 ESAME SIE SKA fix for SSKE/RRBE/ISKE - Jan Jaeger
04 Mar 2001 Multi architecture debug format enhancements - Peter Stammbach
03 Mar 2001 Correct store_psw during SIE interception - Jan Jaeger
03 Mar 2001 Correct trap control block - Roger Bowler
02 Mar 2001 Correction storage key updates by subchannels - Jan Jaeger
01 Mar 2001 Correction to TRAP2/TRAP4 - Paul Leisy
01 Mar 2001 Fix restart in ESAME mode - Jan Jaeger
01 Mar 2001 Correction to SIGP set architecture mode - Jan Jaeger
01 Mar 2001 SIE guest/host storage mapping corrections - Jan Jaeger
01 Mar 2001 Multi architecture fix for device threads - Juergen Dobrinski
28 Feb 2001 Correction to SIE interception parameters - Jan Jaeger
28 Feb 2001 Move Lock Page logic from dat.h to control.c - Jan Jaeger
27 Feb 2001 Add instructions marked N3 to ESA/390 - Jan Jaeger
27 Feb 2001 CVDG/CVBG instructions - Roger Bowler/Jan Jaeger
26 Feb 2001 Fix CDSG nullification on pagefault - Jan Jaeger
26 Feb 2001 Modification to 64 bit SIE - Jan Jaeger
25 Feb 2001 Fix PC/PT ltd origin in 64 bit mode - Jan Jaeger
25 Feb 2001 Improved interrupt processing - Valery Pogonchenko
25 Feb 2001 Fix private space bit to apply to real spaces - Jan Jaeger
25 Feb 2001 Add (incomplete) TRACG instruction - Jan Jaeger
25 Feb 2001 Correction to access register unstacking - Peter Stammbach
24 Feb 2001 Correction to 64bit IDAW's - Peter Stammbach
24 Feb 2001 cckd patches  - Greg Smith
24 Feb 2001 Incorrect-Length-Indication-Suppression facility - Jan Jaeger
24 Feb 2001 Correction to interval timer Fix
22 Feb 2001 S/370 interval timer fixes - Mark Gaubatz
22 Feb 2001 64 bit Interpretive Execution (SIE) - Jan Jaeger
22 Feb 2001 Corrections to load_psw and store_psw - Jan Jaeger
22 Feb 2001 Improved address wrapping - Leland Lucius
20 Feb 2001 64 bit opcodes for PLO - Jan Jaeger
19 Feb 2001 Correction IPTE - Jan Jaeger
17 Feb 2001 Corrections to ISKE/IVSK/LCTL/RRBE/STCTL - Roger Bowler
16 Feb 2001 Fix ITF problem on 3390 compressed DASD - Greg Smith
16 Feb 2001 Fix to interception for paging exceptions in SIE - Paul Leisly
16 Feb 2001 IEEE float - Willem Konynenberg
16 Feb 2001 Further 64 bit panel updates - Roger Bowler
16 Feb 2001 Fix to LRA/LRAG - Roger Bowler
15 Feb 2001 64 bit fixes for CKSM, CLCLE, CUSE, CUUTF, CUTFU, TRE - Jan Jaeger
15 Feb 2001 Call s390_load_psw in LPSW in ESAME mode - Jan Jaeger
15 Feb 2001 Additional checking in load_psw in ESAME mode - Roger Bowler
14 Feb 2001 LPM fixes and display subchannel command - Nobumichi Kozawa
14 Feb 2001 64 bit support for panel.c - Roger Bowler
14 Feb 2001 Fix amode64 in load_psw - Ulrich Weigand
14 Feb 2001 64 bit correction to SRST - Jan Jaeger
14 Feb 2001 Correction to DL - Jan Jaeger
13 Feb 2001 Fix RLL/RLLG - Jan Jaeger
13 Feb 2001 Multiply logical (ML/MLR/MLG/MLGR) instructions - Vic Cross
13 Feb 2001 Correction to DL - Vic Cross
13 Feb 2001 Corrections to BRXHG and BRXLG - Jan Jaeger
13 Feb 2001 Add LGH instruction - Jan Jaeger
13 Feb 2001 Patch machine check for z/Arch compliance - Jan Jaeger
12 Feb 2001 Patch store status for z/Arch compliance - Jan Jaeger
11 Feb 2001 Correction to LRAG - Jan Jaeger
11 Feb 2001 Allow use of environment variables to override filenames
            of hercules.rc hercules.cnf and hercifc - Jan Jaeger
11 Feb 2001 Various floating additions inclusing EFPC/SRNM
            instructions, and data exception code specs - Roger Bowler
11 Feb 2001 Correction to pgmint instruction nullification - Jan Jaeger
10 Feb 2001 NLS support - Roger Bowler
09 Feb 2001 LFPC/SFPC/STFPC IEEE floating point instructions - Jan Jaeger
09 Feb 2001 Extended translation fac. 2 (PKA/PKU/UNPKA/UNPKU) - Roger Bowler
09 Feb 2001 Divide logical (DL/DLR/DLG/DLGR) instructions - Vic Cross
09 Feb 2001 Display instruction operands - Roger Bowler
09 Feb 2001 Fix to load_psw - Roger Bowler
08 Feb 2001 Add hercules.rc initialization file - Willem Konynenberg
08 Feb 2001 Fix SIE host interrupt IA backup - Jan Jaeger
08 Feb 2001 Fix SSKE RCP index error - Jan Jaeger
08 Feb 2001 TP instruction - Roger Bowler
06 Feb 2001 Tape datachaining patch - Brandon Hill
06 Feb 2001 Patch to bypass Cygwin stack problem (service.c) - Greg Smith
06 Feb 2001 Fixes for windows port - Volker Bandke
06 Feb 2001 SSK/ISK/RRB fix for 2K storage keys - Valery Pogonchenko/Jan Jaeger
06 Feb 2001 TRAP2 TRAP4 and RP instructions - Jan Jaeger
04 Feb 2001 Varous fixes for panel.c - Roger Bowler
04 Feb 2001 Interval Timer fix - Bob Abeles
04 Feb 2001 Deconfigure CPU's in release_config() - Greg Smith
04 Feb 2001 Change panel break command to 64 bit - Jan Jaeger
03 Feb 2001 Add ALCGR, SLBGR, ALCG, SLBG, ALCR, SLCR, ALC, SLB,
            AGF, ALGF, SGF, SGFR, AGFR, RRL, RRLG, MSGF, MSGFR,
            SLGFR instructions - Jan Jaeger
03 Feb 2001 Fix MVCLE instruction where op2 len > op1 len - Jan Jaeger
03 Feb 2001 Fix various sign/casting problems in esame.c - Jan Jaeger
03 Feb 2001 Change constant type in cmpsc.c to prevent warning - Jan Jaeger
03 Feb 2001 Fix S/370 interval timer - Valery Pogonchenko/Jay Maynard
03 Feb 2001 Correct sign on LLILH - Jan Jaeger
01 Feb 2001 Timer update correction - Valery Pogonchenko
01 Feb 2001 Documentation update - Roger Bowler
01 Feb 2001 Latest compressed CKD DASD release - Greg Smith
01 Feb 2001 Fixes to Divide Single instructions - Jan Jaeger
01 Feb 2001 64 bit fix to PLO instruction - Jan Jaeger
01 Feb 2001 64 bit fix to IPTE instruction - Jan Jaeger
01 Feb 2001 64 bit fix to SPX instruction - Jan Jaeger
01 Feb 2001 64 bit fix to LKPG instruction - Jan Jaeger
01 Feb 2001 Minor modification to SIGP instruction - Jan Jaeger
01 Feb 2001 Fix 64 bit binary math instructions - Jan Jaeger
31 Jan 2001 EPSW instruction - Roger Bowler
31 Jan 2001 Check unupdated instruction address for SAM24/31 - Roger Bowler
31 Jan 2001 ESAME DUCT format changes and BSA instruction - Roger Bowler
31 Jan 2001 ESAME ASN authorization and ALET translation - Roger Bowler
31 Jan 2001 Eliminate ASN tran.spec.exception for ESAME - Roger Bowler
29 Jan 2001 Correction to ESAME DAT - Jan Jaeger
29 Jan 2001 Fix MVCL/CLCL/MVCLE/CLCLE in 64 bit mode - Jan Jaeger
29 Jan 2001 Fix BAL/BAS type instructions in 64bit mode - Jan Jaeger
29 Jan 2001 Fix program interruption type in SAM24 and SAM31 - Jan Jaeger
29 Jan 2001 Correct typo in LMD
29 Jan 2001 ALGF/ALGFR instructions - Jan Jaeger
29 Jan 2001 Fix all relative instructions when target of execute - Jan Jaeger
29 Jan 2001 DSG/DSGF/DSGR/DSGFR instructions - Jan Jaeger
29 Jan 2001 EDMK ESAME fix - Jan Jaeger
28 Jan 2001 ASN translation patch - Roger Bowler
28 Jan 2001 Dummy SVC assist instruction - Jay Maynard/Brandon Hill
28 Jan 2001 Extended floating point - Peter Kuschnerus
28 Jan 2001 HET format tape support - Leland Lucius
28 Jan 2001 Unloaded tape drive support - Brandon Hill
27 Jan 2001 ESAME subspace replacement - Roger Bowler
26 Jan 2001 ESAME BSG/BAKR/PC/PR/PT instructions - Roger Bowler
24 Jan 2001 ESAME linkage stack operations - Roger Bowler
21 Jan 2001 EREGG instruction - Roger Bowler
20 Jan 2001 ESAME low-address protection - Roger Bowler
20 Jan 2001 Fix zero block length in ctcadpt.c - Roger Bowler
20 Jan 2001 LMD instruction - Roger Bowler
20 Jan 2001 Fix TB instruction in ESAME mode - Roger Bowler
20 Jan 2001 ESAME translation exception address - Roger Bowler
16 Jan 2001 Fix zero track overflow record - Roger Bowler
14 Jan 2001 ESAME DAT - Roger Bowler
11 Jan 2001 Format-2 2K/4K IDAW - Roger Bowler
11 Jan 2001 Add RRF/RXF/RSI instruction formats - Roger Bowler
11 Jan 2001 ESAME DAT table bit definitions - Roger Bowler
11 Jan 2001 ESAME interrupt codes - Roger Bowler
08 Jan 2001 Fix to ESTA and MSTA - Mario Bezzi
07 Jan 2001 Fix zero CCW count in ctcadpt.c - Roger Bowler
07 Jan 2001 Added BRASL, LARL, ESEA, STRAG, STPQ, LPQ, LLILH, LLILL,
            LLIHH, LLIHL, LLGH and LLGC instructions - Jan Jaeger
07 Jan 2001 Corrected LLGT and LLGTR instructions - Jan Jaeger
07 Jan 2001 Added 64 bit I/O and translation definitions - Jan Jaeger
05 Jan 2001 Reworked cmpsc.c - Bernard van der Helm
04 Jan 2001 Fix read-only aws tape - Roger Bowler
03 Jan 2001 Fix integrity problem in cckddasd.c - Greg Smith
02 Jan 2001 Fix multi architecture support in cmpsc.c - Jan Jaeger
02 Jan 2001 Fix psw ia backup during PSA access by SIE - Jan Jaeger
01 Jan 2001 Universal TUN/TAP Driver Networking support - Roger Bowler
01 Jan 2001 Fix HHC002I message in config.c - Roger Bowler
01 Jan 2001 Add OSTAILER VSE option - Roger Bowler
28 Dec 2000 Fix 4K storage key support for S/370 mode when using
            2K page tables - Jan Jaeger
27 Dec 2000 2K/4K storage key support for SSK/SSKE/ISK/ISKE/RRB/RRBE
            instructions - Jan Jaeger
24 Dec 2000 Fully functional CMPSC instruction by Bernard van der Helm
23 Dec 2000 Various fixes to SIE - Jan Jaeger
23 Dec 2000 Multiple architecture support for SIE - Jan Jaeger
23 Dec 2000 Add OPTION_NO_DEVICE_THREAD
18 Dec 2000 Compressed CKD DASD release 2 - Greg Smith
18 Dec 2000 Fix deadlock in SIE host interrupt processing - Jan Jaeger
17 Dec 2000 Corrections to load reverse - Jan Jaeger
15 Dec 2000 Improved data typing - Jan Jaeger
13 Dec 2000 Add Load Reverse Facility (Jan Jaeger)
10 Dec 2000 Add Linux/390 interrupt patch
09 Dec 2000 Corrections to buffer positions in console.c - Roger Bowler
09 Dec 2000 Add absolute effective address buffer option (Jan Jaeger)
09 Dec 2000 Add absolute instruction address buffer option (Jan Jaeger)
03 Dec 2000 ALS-1 and ALS-2 support completion (Roger Bowler and Jan Jaeger)
02 Dec 2000 Included lates float fixes from Peter Kuschnerus
02 Dec 2000 Fix orienting bug in CKD DASD search CCW processing (Bob Abeles)
02 Dec 2000 Extended Translation (TRE,CUUTF,CUTFU instructions) - Roger Bowler
30 Nov 2000 Optimize vfetch and vstore operations - Jan Jaeger
25 Nov 2000 Add FETCH_xW and STORE_xW macros to optimize storage
            access and provide atomic store/fetch operations
22 Nov 2000 Optimize conditional branch instructions - Jan Jaeger
22 Nov 2000 Remove -fPIC compiler option (performance) - Jan Jaeger
20 Nov 2000 Revised instruction counting feature and
            icount panel command - Jan Jaeger
15 Nov 2000 Small fix to CHI - Jan Jaeger
11 Nov 2000 Prevent ESAME mode when ESA/390 is specifed - Jan Jaeger
5  Nov 2000 Added various new instructions in A5xx range - Jan Jaeger
29 Oct 2000 Correct AXR and SXR instruction results when significance
            exception raised (Peter Kuschnerus, with help from Mario Bezzi)
29 Oct 2000 Correct CD and CDR instruction condition code logic (Peter
            Kuschnerus)
29 Oct 2000 Do not generate support for square root instructions in 370 mode
            (Peter Kuschnerus)
28 Oct 2000 Added 64 Bit instructions - Jan Jaeger
21 Oct 2000 z/Architecture support - Jan Jaeger
14 Oct 2000 Some 64 Bit definitions - Jan Jaeger
07 Oct 2000 Add multi-architecture infrastructure in order
            to support multiple architectures - Jan Jaeger
07 Oct 2000 Compressed CKD DASD support (Greg Smith)
07 Oct 2000 DASD I/O optimizations (Greg Smith and Malcolm Beattie)
07 Oct 2000 Fix for random bug in MP instruction (Mario Bezzi)
07 Oct 2000 Treat all 3505 card reader read CCWs the same (Jay Maynard)
26 Sep 2000 STCRW instruction nullification correction - Jan Jaeger
05 Sep 2000 I/O rate meter on graphical panel (Valery Pogonchenko)
05 Sep 2000 Sense correction for track overflow processing (Valery
            Pogonchenko)
05 Sep 2000 Another fix for 64K segment length checking in 370 DAT (Jay
            Maynard, found by Mario Bezzi)
04 Sep 2000 Win32 portability changes (John Kozak)
04 Sep 2000 Fix for 64K segment length checking in 370 DAT (Jay Maynard,
            found by Mario Bezzi)
04 Sep 2000 Fix for TPI storing interrupt code when no interrupt pending
            (Jay Maynard, found by Greg Smith)
03 Sep 2000 Printer support for skip to channel 9 and 12 (Roger Bowler)
03 Sep 2000 Panel refresh rate command and PANRATE parameter (Reed Petty)
31 Aug 2000 Fix storage protection override on fetch (Jan Jaeger)
29 Aug 2000 ESA/390 (VM dataspace) SIE support (Jan Jaeger)
21 Aug 2000 Bugfix for MXR instruction (by Peter Kuschnerus)
19 Aug 2000 SIE Vector support (Jan Jaeger)
12 Aug 2000 Add CONCS, DISCS and RCHP instructions (Jan Jaeger)
12 Aug 2000 Add S/370 Mode support to SIE (Jan Jaeger)
08 Aug 2000 Fix flags on intermediate subchannel status (Jan Jaeger)
08 Aug 2000 Break SYSCONS output lines when too long (Jan Jaeger)
04 Aug 2000 Floating point instructions SQDR and SQER (by Peter Kuschnerus)
04 Aug 2000 Add Lock Page instruction (Jan Jaeger)
03 Aug 2000 Simplify logmsg and DEVTRACE macro definitions (Jay Maynard)
03 Aug 2000 Prevent incorrect length indication on CONTROL NOP CCW (Jay
            Maynard)
01 Aug 2000 Complete 370 HIO processing (Jay Maynard)
29 Jul 2000 Interpretive Execution (SIE) (Jan Jaeger)
29 Jul 2000 Set Address Limit (SAL) instruction (Jan Jaeger)
25 Jul 2000 Correct nullification of TPI and TSCH (Jan Jaeger)
25 Jul 2000 Add device locking to MSCH (Jan Jaeger)
25 Jul 2000 Correct TPROT instruction (Jan Jaeger)
22 Jul 2000 Correct address wrapping on assist instructions (Jan Jaeger)
22 Jul 2000 Change interrupt logic to use longjmp on all interrupts (Jan
            Jaeger)
22 Jul 2000 Clear remainder of ASTE when loading ASTE with ASF=0
            in translace_asn (Jan Jaeger)
22 Jul 2000 Add PLO instruction (Jan Jaeger)
22 Jul 2000 Fix CLCL interruption problem (Jan Jaeger)
19 Jul 2000 Make ED and EDMK perform a trial run (Jan Jaeger)
16 Jul 2000 Fix address wraparound in MVO (Jan Jaeger)
15 Jul 2000 Fix CR15 corruption in form_stack_entry,
            fix nullification in form_stack_entry and
            unstack_registers (Jan Jaeger)
10 Jul 2000 Fix loss of interrupts in PR (Jan Jaeger)
22 Jul 2000 Track overflow processing fixes (by Jay Maynard, suggested by
            Valery Pogonchenko)
21 Jul 2000 Added TOD clock update to STCK, STCKE, DIAG 204, and TRACE
            processing (by Jay Maynard)
19 Jul 2000 Added support for 3340 and 3375 DASD (by Jay Maynard, with help
            from Rick Fochtman and David Cole)
18 Jul 2000 Corrected interval timer update increment (by Jay Maynard)
18 Jul 2000 Fixed READ DEVICE CHARACTERISTICS alternate track values for
            3380 and 3390 DASD (by petermac@ase.com.au)
10 Jul 2000 Skeletal CMPSC instruction (by Bernard van der Helm)
07 Jul 2000 float.c optimization for new instruction decode
            and execution (by Peter Kuschnerus)
07 Jul 2000 Fix program check on TIC ccw (by Jan Jaeger)
07 Jul 2000 Fix program check on NOP ccw (by Jan Jaeger)
05 Jul 2000 Instruction decode & execution restructure (by Jan Jaeger)
05 Jul 2000 Added -fomit-frame-pointer to compiles for improved performance
            (by Jan Jaeger)
04 Jul 2000 Fix STCKE instruction (by Bernard van der Helm)
04 Jul 2000 Added track overflow processing for CKD DASD (by Jay Maynard)
04 Jul 2000 Makefile change to allow RPM building with RPM_BUILD_ROOT
            (by David Barth)
04 Jul 2000 Added NetBSD build definitions to makefile (by Soren Jorvang)
04 Jul 2000 Moved version definition to version.h and removed makefile
            dependency for source modules (by Jay Maynard)
04 Jul 2000 Package change: tarball now explodes into hercules-<version>
            subdirectory (by Jay Maynard, suggested by Soren Jorvang)
23 Jun 2000 Fix backward going TOD clock (by Jan Jaeger)
23 Jun 2000 Suppress superflous HHC701/HHC702 messages (by Jan Jaeger)
23 Jun 2000 Rework cpu.c to decode instructions by macro (by Jan Jaeger)
23 Jun 2000 Bypass bug in IBM telnet client (by Jan Jaeger)
18 Jun 2000 3270 CCW processing improvements (by Jan Jaeger)
18 Jun 2000 OSTAILOR generalization, and new pgmtrace panel command
            (by Jan Jaeger)
18 Jun 2000 VM IUCV instruction correction and DIAGNOSE improvements
            (by Jan Jaeger)
18 Jun 2000 CPU timer and clock comparator improvements
            (by Jan Jaeger, after a suggestion by Willem Koynenberg)
18 Jun 2000 3480 READ BLOCK ID and LOCATE CCW support (by Brandon Hill)
18 Jun 2000 Networking support via virtual CTCA (by Willem Koynenberg)
18 Jun 2000 Restructured CPU execution, by function call instead of
            switch statement (by Mike Noel)
18 Jun 2000 Support for IEBCOPY sequential output datasets in dasdload
            (by Ronen Tzur)
18 Jun 2000 New dasdls command lists the VTOC of a CKD DASD volume
            (by Malcolm Beattie)
18 Jun 2000 New AWSTAPE handling commands: tapesplt, tapemap (by Jay Maynard)
18 Jun 2000 make install target to install in /usr/bin (by Jay Maynard)
03 Jun 2000 Still more multiprocessor improvements (by Jan Jaeger)
03 Jun 2000 Dynamic CPU reconfiguration (by Jan Jaeger)
03 Jun 2000 Basic vector facility (by Jan Jaeger)
03 Jun 2000 Floating point version 6 (by Peter Kuschnerus)
03 Jun 2000 READ AND RESET BUFFERED LOG CCW (X'A4') support (by Jay Maynard)
03 Jun 2000 WRITE SPECIAL CKD CCW (X'01') support (by Jay Maynard)
03 Jun 2000 FBA DASD model reporting fixes (by Jay Maynard)
21 May 2000 More multiprocessor improvements (by Jan Jaeger)
21 May 2000 New startall/stopall panel commands (by Jan Jaeger)
21 May 2000 STIDP stores processor address in first digit of CPU id
            (by Roger Bowler)
21 May 2000 Correction to IPTE instruction for S/370 (by Jay Maynard)
21 May 2000 Dummy HIO instruction for S/370 (by Jay Maynard)
21 May 2000 Support for emulated 0671 FBA DASD (by Jay Maynard)
21 May 2000 FBA device reserve/release CCW support (by Jay Maynard)
21 May 2000 New OSTAILOR configuration option allows selective suppression
            of program check messages (by Jay Maynard)
14 May 2000 Multiprocessor locking improvements (by Jan Jaeger)
14 May 2000 Machine check and channel report word (by Jan Jaeger)
14 May 2000 Store Channel Report Word (STCRW) instruction (by Jan Jaeger)
14 May 2000 New attach/detach/define commands to allow dynamic addition
            and deletion of devices from the configuration (by Jan Jaeger)
14 May 2000 Compare and Swap and Purge (CSP) instruction (by Jan Jaeger)
14 May 2000 Broadcasted purging (by Jan Jaeger)
14 May 2000 Fix LASP instruction SASN authorization using wrong AX if bits
            29-31 are 010 and SASN \= PASN (by Mario Bezzi)
14 May 2000 Fix SAC instruction special operation exception setting secondary
            space mode when ASF=0 (by Mario Bezzi)
14 May 2000 Remove intdrag option and replace drag command by toddrag command
14 May 2000 New extpending flag to improve performance (originally contributed
            by Valery Pogonchenko and enhanced by Jan Jaeger)
14 May 2000 Allow longer host name in console connected message
            (by Jay Maynard)
14 May 2000 Floating point version 5 including fixes by Mario Bezzi
            (contributed by Peter Kuschnerus)
30 Apr 2000 Missing interrupt after CSCH instruction
30 Apr 2000 S/370 DAT support (contributed by Jay Maynard)
30 Apr 2000 Tape device sense byte improvements (by Jan Jaeger)
30 Apr 2000 Read Buffered Log (CCW X'24') for tape devices (by Jan Jaeger)
30 Apr 2000 Reject Sense ID CCW for 3420 tape devices (by Jan Jaeger)
30 Apr 2000 Suppress unprintable character in HMC messages (by Jan Jaeger)
30 Apr 2000 Suppress attention interrupt if subchannel not enabled
            (by Roger Bowler)
30 Apr 2000 New interrupt drag factor to improve performance (by Roger Bowler)
30 Apr 2000 New toddrag and intdrag config options and drag control panel
            command allow drag factors to be set (by Roger Bowler)
30 Apr 2000 Light optimization on CPU critical path (by Valery Pogonchenko)
30 Apr 2000 Eliminate fetch protection override in S/370 mode
            (by Valery Pogonchenko)
22 Apr 2000 Support for CKD DASD volumes exceeding 2GB such as 3390-3
            (by Roger Bowler)
22 Apr 2000 3274-1D SELECT RB/RMP/RBP/WRT commands (by Roger Bowler)
22 Apr 2000 Support for 3270 14-bit SBA addressing and inbound SFE order
            (by Roger Bowler)
22 Apr 2000 Command reject if Write Structured Field CCW issued to a
            3270 without extended attributes (by Roger Bowler)
22 Apr 2000 Fix missing CSW_IL indication when CCW count exhausted
            (by Roger Bowler)
22 Apr 2000 Do not set unit exception if CCW count is zero (by Jan Jaeger)
22 Apr 2000 Suppress space switch event program check messages (by Jan Jaeger)
22 Apr 2000 Branch tracing and cross memory tracing for
            BALR, BASR, BASSM, BAKR, BSA, BSG, SSAR, PC, PT, PR instructions
            (by Jan Jaeger)
22 Apr 2000 New diagnose instruction to stop CPU (by Jan Jaeger)
22 Apr 2000 Drag factor option slows down TOD clock, to decrease overhead
            on very slow machines (by Jan Jaeger)
22 Apr 2000 Correction to PR instruction (by Jan Jaeger)
22 Apr 2000 Correction to LASP instruction (by Jan Jaeger)
22 Apr 2000 Make CLCLE/MVCLE/CKSM instructions conditional features
            (by Jan Jaeger)
22 Apr 2000 Enable channel measurement mode (by Jan Jaeger)
22 Apr 2000 Modify program_check() to handle shadow registers correctly
            (by Jan Jaeger)
22 Apr 2000 Change DAT to favour PSTD in TEA, to give reduction in page
            fault path length (by Jan Jaeger)
22 Apr 2000 Avoid clearing registers at CPU reset (by Jan Jaeger)
22 Apr 2000 Leave GPR, AR and FPR intact during CPU reset for SADUMP
            (by Jan Jaeger)
22 Apr 2000 Zeroize field for called space identification in PC stack entry
            (by Jan Jaeger)
22 Apr 2000 New CCW X'8D' (Write Update Key and Data) required by STOW
            (by Jan Jaeger)
22 Apr 2000 Fix for 0B7 abend in D M=CHP command (by Jan Jaeger)
22 Apr 2000 Floating point version 4 including fixes by Valery Pogonchenko
            (contributed by Peter Kuschnerus)
22 Apr 2000 Fix incorrect second operand address in MVCIN instruction
            (by Roger Bowler)
22 Apr 2000 Correct sign of zero result in SRP instruction
            (by Roger Bowler)
22 Apr 2000 Erase Gap (CCW X'17') for tape devices (by Roger Bowler)
22 Apr 2000 Activate MIPS counter on control panel (by Dutch Owen)
22 Apr 2000 Suppress tracing of ISK, SCK, and DP instructions
30 Mar 2000 Fix program check 0032 due to wrong stack entry being updated
30 Mar 2000 Fix wrong SSTD loaded by LASP instruction (found by Jan Jaeger)
30 Mar 2000 Bypass main storage lock in single CP configuration (by Jan Jaeger)
30 Mar 2000 Fix incorrect condition code in PGIN instruction (by Jan Jaeger)
30 Mar 2000 Corrections to expanded storage instructions (by Jan Jaeger)
30 Mar 2000 New STCPS and SCHM instructions (by Jan Jaeger)
30 Mar 2000 Set more appropriate sense bytes for tape errors
28 Mar 2000 Fix incorrect unit exception on SCSI tape FSB/BSB CCW
            (reported by Daniel Rudin)
28 Mar 2000 Fix unit check on AWSTAPE write (reported by Axel Schwarzer)
28 Mar 2000 Close SCSI tape after tape is ejected
28 Mar 2000 Detect tapemark during SCSI tape FSB/BSB CCW
28 Mar 2000 Suppress HMC response prompt (by Jan Jaeger)
28 Mar 2000 Expanded storage support (by Jan Jaeger)
28 Mar 2000 Move Page Facility 2
28 Mar 2000 Correct signed length error in MVCK/MVCS/MVCP (by Jan Jaeger)
28 Mar 2000 Undetected CC=3 in SRP instruction
28 Mar 2000 Wrong remainder in DP instruction when dividend is less
            than divisor
28 Mar 2000 Specification exception in DP instruction should have higher
            priority than data exception
22 Mar 2000 FBA minidisk support
22 Mar 2000 Additional diagnose functions
22 Mar 2000 Allow real storage frames to be marked unusable (by Jan Jaeger)
18 Mar 2000 Address wraparound improvement (contributed by Jan Jaeger)
18 Mar 2000 Floating point version 3 (contributed by Peter Kuschnerus)
18 Mar 2000 Correction to SLDA/SRA instructions (contributed by Jan Jaeger)
18 Mar 2000 Recognize tabs and end-of-file character in ASCII cardrdr files
18 Mar 2000 Hercules-specific diagnose instructions (contributed by Jay
            Maynard)
18 Mar 2000 Correct missing timer interrupt when interval timer goes from
            zero to negative (thanks to Valery Pogonchenko)
18 Mar 2000 Enable HMC system console in S/370 mode
18 Mar 2000 Correct sign propagation in multiply instruction
18 Mar 2000 Reduce CPU thread priority (thanks to Steve Gay and Reed H.Petty)
01 Mar 2000 Add BSF/FSF/BSB/FSB CCW support for tape devices
01 Mar 2000 Allow final short block in OMA fixed block files
01 Mar 2000 Allow processing of read-only AWSTAPE files and SCSI tapes
01 Mar 2000 Skeleton ctcadpt module for future 3088 support
01 Mar 2000 Correctly nullify IC/NI/OI/XI/CLM/STCM/ICM/TRT instructions
            on page translation exception (thanks to Jan Jaeger)
01 Mar 2000 Improved floating point support (contributed by Peter Kuschnerus)
01 Mar 2000 Correct shift result when shift count exceeds 31 (thanks to
            Glen Herrmannsfeldt and Jay Maynard)
01 Mar 2000 Fix incorrect MVCL cc=3 when destination length is 1
19 Feb 2000 Prevent incorrect length indication on 3270 Select CCW
19 Feb 2000 2K storage protection for S/370
19 Feb 2000 Prevent wait for console port (thanks to Malcolm Beattie)
19 Feb 2000 Allow keyword parameters in configuration file
19 Feb 2000 New sysepoch and tzoffset parameters (thanks to Jay Maynard)
19 Feb 2000 Adjust TRACE and DIAG204 for extended TOD (thanks to Jan Jaeger)
19 Feb 2000 Set TOD clock in SCK instruction (thanks to Jan Jaeger)
15 Feb 2000 3270 read buffer fix for OS/360 NIP
15 Feb 2000 Floating point instructions (contributed by Peter Kuschnerus)
15 Feb 2000 Remove 32-bit pointer dependency from dasdload for Alpha
15 Feb 2000 HMC system console support (contributed by Jan Jaeger)
15 Feb 2000 Correct condition code after decimal overflow (thanks to Jan Jaeger)
15 Feb 2000 Set reference and change bits for PSA access (thanks to Jan Jaeger)
15 Feb 2000 New CRLF option for printer and card punch (default is now LF)
10 Feb 2000 Remove interval timer debugging message
10 Feb 2000 Fix hung console resulting from attention interrupt fix in 1.49
10 Feb 2000 Seek and Set Sector (CCW=27) for Itel 7330 DASD controller
10 Feb 2000 Correct SIGP handling of non-existent CPUs (thanks to Jan Jaeger)
10 Feb 2000 Extended TOD clock bit in processor features (thanks to Jan Jaeger)
10 Feb 2000 Alternate control panel help text (contributed by Dutch Owen)
10 Feb 2000 Card reader end of file option (thanks to Dutch Owen)
10 Feb 2000 Card reader ASCII/EBCDIC auto-detection
10 Feb 2000 Fix SIGP RESTART to target correct CPU (thanks to Jan Jaeger)
10 Feb 2000 Allow VTOC size and location to be specified for dasdload.
05 Feb 2000 Alternate control panel (contributed by Dutch Owen)
05 Feb 2000 Present attention interrupt when console connects
05 Feb 2000 Fix dasdload CVOL logic (thanks to Jay Maynard)
05 Feb 2000 Fix dasdload initialization of empty PDS
05 Feb 2000 Allow device size to be specified for dasdload
            Note: the volser record in the pack layout file must
            be changed to specify the device type and cylinder count;
            the device type is no longer specified on the command line.
05 Feb 2000 Add dummy Set Clock instruction (does nothing except set cc 0)
31 Jan 2000 Fix dasdload to handle note lists (prevent 32D abend)
31 Jan 2000 I/O interrupt performance enhancement
31 Jan 2000 Correctly detect overflow in signed Add/Subtract instructions
31 Jan 2000 Fix track overflow problem
31 Jan 2000 3270 Read Modified CCW
23 Jan 2000 Allow tn3270 or telnet client to connect to specific device number
23 Jan 2000 Align control panel instruction counter (thanks to Mario Bezzi)
23 Jan 2000 Ensure panel display does not corrupt TEA (by Jan Jaeger)
23 Jan 2000 STIDP incorrectly propagates high order bit of CPU model
            (fixed by Jan Jaeger)
23 Jan 2000 Fix byte-ordering problem with CKD DASD header on non-Intel
            machines (reported by Adam Thornton)
23 Jan 2000 STIDC instruction
23 Jan 2000 Extended TOD clock (STCKE and SCKPF instructions)
23 Jan 2000 3211 Load FCB and Diagnostic Read CCW
23 Jan 2000 3270 Read Buffer CCW
23 Jan 2000 Fix console.c to inhibit input while console has status pending
11 Jan 2000 HSCH instruction
11 Jan 2000 SIGP instruction
11 Jan 2000 Suppress tracing of page faults
11 Jan 2000 Display control registers and access registers after program check
11 Jan 2000 Add regs parameter to program_check function calls
11 Jan 2000 New panel command to perform store status function
11 Jan 2000 Suppress tracing of CCW file protect and end of cylinder errors
08 Jan 2000 Make MVCL/CLCL interruptible (contributed by Jan Jaeger)
08 Jan 2000 Diagnose 204 (contributed by Jan Jaeger)
08 Jan 2000 Read Channel Subsystem Info (contributed by Jan Jaeger)
08 Jan 2000 Fix incorrect register count in TRACE instruction
08 Jan 2000 Correct nullification of STM/LM/LAM/STAM/STCTL/LCTL/STCM and SS
            instructions whose operands cross a page boundary
08 Jan 2000 Suppression on Protection with Virtual-Address enhancement
08 Jan 2000 Select correct address space for MVCS/MVCP (fixed by Jan Jaeger)
08 Jan 2000 Correct registers after CLCL/CLCLE with non-zero condition code
08 Jan 2000 Defer clock comparator interrupt while instruction stepping
08 Jan 2000 Remove 32K limit on data chained write CCWs for non-CKD devices
08 Jan 2000 Correct overrun error on data chained write for FBA DASD
01 Jan 2000 Support for 9336 FBA DASD
01 Jan 2000 Read Replicated Data command for FBA DASD
01 Jan 2000 Prevent recursive program check after instruction fetch error
01 Jan 2000 Operand tracing for MVCL/CLCL and RRE instructions
27 Dec 1999 New control panel command: devlist
27 Dec 1999 Write Update Data (X'85') CCW for CKD devices
27 Dec 1999 Makefile changed to use $(CC) instead of cc
27 Dec 1999 Fix dat.c to prevent ASN translation specification exception
            (program check X'0017') if subspace group facility is installed
            and ASF is one
27 Dec 1999 Fix cpu.c to clear ILC before fetching instruction to prevent PSW
            being backed up if access error occurs during instruction fetch
27 Dec 1999 Correct program check ILC when instruction is nullified
27 Dec 1999 Obtain CPU model number for STIDP from configuration file
            (contributed by Jay Maynard)
            Note: if upgrading from an earlier release, you must change
            your hercules.cnf file to add a valid CPU model number after the
            CPU serial number
27 Dec 1999 Prevent wait after devinit (thanks to Jay Maynard)
27 Dec 1999 Open printer with O_SYNC to ensure buffers flushed
            (suggested by Daniel Seagraves)
27 Dec 1999 Fix xmem.c to prevent loop in program_call when loading 4-word ETE
            (thanks to Jan Jaeger)
27 Dec 1999 Improved TLB lookup (contributed by Jan Jaeger)
16 Dec 1999 New makefile builds both S/370 and ESA/390 executables:
            hercules-370 and hercules-390 (contributed by Jay Maynard)
16 Dec 1999 3480 Set Path Group Id and Unassign CCWs
            (contributed by Jan Jaeger)
16 Dec 1999 CFC and UPT instructions (contributed by Peter Kuschnerus)
16 Dec 1999 Card punch support
16 Dec 1999 Erase (X'11') CCW for CKD devices
16 Dec 1999 Correct setting of translation exception address
16 Dec 1999 Correct file mode when opening printer file
16 Dec 1999 Correct condition code for shift arithmetic instructions
07 Dec 1999 Set reference and change bits correctly for main storage accesses
            by channel, dat, xmem, stack, block, and service modules (thanks
            to Jan Jaeger)
07 Dec 1999 New devinit command (contributed by Jay Maynard)
07 Dec 1999 Reject control panel virtual storage display command if CR1=0
07 Dec 1999 Fix dasdload to correctly write EOF record for empty file
            and to correctly fill block overhead fields in format4 DSCB.
07 Dec 1999 Diagnose functions MSSFCALL and SCPEND (contributed by Jan Jaeger)
07 Dec 1999 Corrections to service.c and assist.c (contributed by Jan Jaeger)
07 Dec 1999 Alpha platform portability definitions (contributed by Jay Maynard)
07 Dec 1999 3480 Assign CCW (thanks to Rick McKelvy)
30 Nov 1999 New DASDISUP program performs OS/360 IEHIOSUP function
30 Nov 1999 Correct SCSW handling for suspend/resume
30 Nov 1999 Forward space file CCW for tape devices
30 Nov 1999 3480 load display CCW (contributed by Jan Jaeger)
            and sense path group id CCW (thanks to Rick McKelvy)
30 Nov 1999 Correct handling of OMA tape headers to correctly recognize
            tape mark and to align headers to 16-byte boundary
30 Nov 1999 EBCDIC character translation of CCW data displays
30 Nov 1999 Fix command reject for CKD read commands outside the domain
            of a locate record
24 Nov 1999 Concurrent sense
24 Nov 1999 I/O initial status interruption
24 Nov 1999 Channel program suspend/resume function and RSCH instruction
24 Nov 1999 Read Device Characteristics CCW for 3480
24 Nov 1999 Fix incorrect command reject on Sense Subsystem Status CCW
24 Nov 1999 Increase 3270 write buffer size to prevent console I/O error
            when using Zap function of ZZSA
24 Nov 1999 Fix very nasty error in dat.c causing wrong bytes to
            be fetched or stored when operand crosses page boundary
24 Nov 1999 Remove temporary fix to ckddasd.c introduced in 1.37
22 Nov 1999 New panel commands to allow storage alteration
22 Nov 1999 Fix incorrect I/O parameter on attention interrupt (Jan Jaeger)
22 Nov 1999 Clear PMCW correctly during I/O reset
22 Nov 1999 Change 3270 control unit type to 3274-1D (Jan Jaeger)
22 Nov 1999 Fix restart command broken by 1.37
19 Nov 1999 Storage range display
19 Nov 1999 EBCDIC character translation of storage displays
19 Nov 1999 New breakpoint command (contributed by Dan Horak)
19 Nov 1999 Messages go to log file as well as screen if stdout is redirected
19 Nov 1999 Fix missing interrupt caused by channel.c failing to obtain device
            lock before setting interrupt pending
19 Nov 1999 Fix incorrect cond code 1 in attention SCSW built by console.c
19 Nov 1999 New Read Channel Path Information service call
19 Nov 1999 Temporary fix to ckddasd.c multitrack search
19 Nov 1999 Addition of Read Device Characteristics and Sense Subsystem
            Status commands for CKD devices
19 Nov 1999 New DASDPDSU program to unload PDS members from a CKD volume
12 Nov 1999 Clear subchannel instruction
12 Nov 1999 Correct fault causing control panel display corruption
09 Nov 1999 Improved control panel user interface
09 Nov 1999 New control panel commands: start, stop, restart, ipl, loadparm
09 Nov 1999 New loadcore command to load disk image files
09 Nov 1999 S/370 interval timer
09 Nov 1999 Allow 31-bit mode linkage in lock instructions
09 Nov 1999 Support for PCI in ESA/390 mode as well as S/370 mode
09 Nov 1999 Correct problem causing false channel protection checks
29 Oct 1999 New DASDLOAD program to create a CKD volume from unloaded PDS files
29 Oct 1999 Correct CKD module to prevent record not found error on
            multitrack Read Count CCW
26 Oct 1999 Correct handling of REWIND command for AWSTAPE files
26 Oct 1999 Correct nasty bug in Subtract Logical instruction (thanks
            to Roland Goetschi for finding this bug)
26 Oct 1999 Ensure unique TOD clock values for Store Clock
26 Oct 1999 Correction to unstacking process for PR instruction
26 Oct 1999 Implementation of Read Multiple CKD command
18 Oct 1999 Support for virtual tapes in OMA (Optical Media Attach) format
18 Oct 1999 SCSI tape support (read-only)
18 Oct 1999 Minor corrections to CKD DASD support
